Option Strict Off
Option Explicit On
Friend Class frmTerrainManager
	Inherits System.Windows.Forms.Form
#Region "Windows Form Designer generated code "
	Public Sub New()
		MyBase.New()
		If m_vb6FormDefInstance Is Nothing Then
			If m_InitializingDefInstance Then
				m_vb6FormDefInstance = Me
			Else
				Try 
					'For the start-up form, the first instance created is the default instance.
					If System.Reflection.Assembly.GetExecutingAssembly.EntryPoint.DeclaringType Is Me.GetType Then
						m_vb6FormDefInstance = Me
					End If
				Catch
				End Try
			End If
		End If
		'This call is required by the Windows Form Designer.
		InitializeComponent()
	End Sub
	'Form overrides dispose to clean up the component list.
	Protected Overloads Overrides Sub Dispose(ByVal Disposing As Boolean)
		If Disposing Then
			If Not components Is Nothing Then
				components.Dispose()
			End If
		End If
		MyBase.Dispose(Disposing)
	End Sub
	'Required by the Windows Form Designer
	Private components As System.ComponentModel.IContainer
	Public ToolTip1 As System.Windows.Forms.ToolTip
	Public WithEvents cd As AxMSComDlg.AxCommonDialog
	Public WithEvents chkAutoLogin As System.Windows.Forms.CheckBox
	Public WithEvents lblTerrainMin As System.Windows.Forms.Label
	Public WithEvents lblTerrainMax As System.Windows.Forms.Label
	Public WithEvents lblDisableTime As System.Windows.Forms.Label
	Public WithEvents lblWarnTime As System.Windows.Forms.Label
	Public WithEvents lblDefaultTexture As System.Windows.Forms.Label
	Public WithEvents lblDefaultHeight As System.Windows.Forms.Label
	Public WithEvents chkTouristUse As System.Windows.Forms.CheckBox
	Public WithEvents chkBotUse As System.Windows.Forms.CheckBox
	Public WithEvents txtTerrainMin As System.Windows.Forms.TextBox
	Public WithEvents txtTerrainMax As System.Windows.Forms.TextBox
	Public WithEvents txtDisableTime As System.Windows.Forms.TextBox
	Public WithEvents txtWarnTime As System.Windows.Forms.TextBox
	Public WithEvents txtDefaultTexture As System.Windows.Forms.TextBox
	Public WithEvents txtDefaultHeight As System.Windows.Forms.TextBox
	Public WithEvents _SSTab1_TabPage0 As System.Windows.Forms.TabPage
	Public WithEvents chkAlwaysEnableTerrain As System.Windows.Forms.CheckBox
	Public WithEvents txtMaxQueries As System.Windows.Forms.TextBox
	Public WithEvents txtMaxCommands As System.Windows.Forms.TextBox
	Public WithEvents lblMaxQueries As System.Windows.Forms.Label
	Public WithEvents lblMaxCommands As System.Windows.Forms.Label
	Public WithEvents _SSTab1_TabPage1 As System.Windows.Forms.TabPage
	Public WithEvents SSTab1 As System.Windows.Forms.TabControl
	Public WithEvents cmdApply As System.Windows.Forms.Button
	Public WithEvents fInWorldOptions As System.Windows.Forms.GroupBox
	Public WithEvents tmrAuto As System.Windows.Forms.Timer
	Public WithEvents tmrQueue As System.Windows.Forms.Timer
	Public WithEvents pbClose As System.Windows.Forms.Button
	Public WithEvents txtUniHost As System.Windows.Forms.TextBox
	Public WithEvents txtUniPort As System.Windows.Forms.TextBox
	Public WithEvents txtTargetWorld As System.Windows.Forms.TextBox
	Public WithEvents txtPassword As System.Windows.Forms.TextBox
	Public WithEvents txtUserId As System.Windows.Forms.TextBox
	Public WithEvents pbLogin As System.Windows.Forms.Button
	Public WithEvents lblUniHost As System.Windows.Forms.Label
	Public WithEvents lblUniPort As System.Windows.Forms.Label
	Public WithEvents lblTitleTargetWorld As System.Windows.Forms.Label
	Public WithEvents lblTitlePassword As System.Windows.Forms.Label
	Public WithEvents lblTitleCitNum As System.Windows.Forms.Label
	Public WithEvents fLogin As System.Windows.Forms.GroupBox
	Public WithEvents tmrAW As System.Windows.Forms.Timer
	Public WithEvents pbFileLog As System.Windows.Forms.Button
	Public WithEvents txtFileLog As System.Windows.Forms.TextBox
	Public WithEvents chkFileLog As System.Windows.Forms.CheckBox
	Public WithEvents ActivityLog As AxMSComctlLib.AxListView
	Public WithEvents fLog As System.Windows.Forms.GroupBox
	Public WithEvents tmrCellZ As System.Windows.Forms.Timer
	Public WithEvents lblPercentQueried As System.Windows.Forms.Label
	Public WithEvents lblTitlePercentQueried As System.Windows.Forms.Label
	Public WithEvents lblTitleCellsInWorld As System.Windows.Forms.Label
	Public WithEvents lblCellsInWorld As System.Windows.Forms.Label
	Public WithEvents lblTitleCellCount As System.Windows.Forms.Label
	Public WithEvents lblCellCount As System.Windows.Forms.Label
	Public WithEvents Label4 As System.Windows.Forms.Label
	Public WithEvents lblTerrainCount As System.Windows.Forms.Label
	Public WithEvents lblWorld As System.Windows.Forms.Label
	Public WithEvents Label6 As System.Windows.Forms.Label
	Public WithEvents Label5 As System.Windows.Forms.Label
	Public WithEvents lblConnectState As System.Windows.Forms.Label
	Public WithEvents lblAvatarCount As System.Windows.Forms.Label
	Public WithEvents lblMarkerCount As System.Windows.Forms.Label
	Public WithEvents Label2 As System.Windows.Forms.Label
	Public WithEvents lblTitleMarkerCount As System.Windows.Forms.Label
	Public WithEvents lblState As System.Windows.Forms.Label
	Public WithEvents mnuRestore As System.Windows.Forms.MenuItem
	Public WithEvents mnuSepbar1 As System.Windows.Forms.MenuItem
	Public WithEvents mnuExit As System.Windows.Forms.MenuItem
	Public WithEvents mnuPopup As System.Windows.Forms.MenuItem
	Public MainMenu1 As System.Windows.Forms.MainMenu
	'NOTE: The following procedure is required by the Windows Form Designer
	'It can be modified using the Windows Form Designer.
	'Do not modify it using the code editor.
	<System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
		Dim resources As System.Resources.ResourceManager = New System.Resources.ResourceManager(GetType(frmTerrainManager))
		Me.components = New System.ComponentModel.Container()
		Me.ToolTip1 = New System.Windows.Forms.ToolTip(components)
		Me.ToolTip1.Active = True
		Me.cd = New AxMSComDlg.AxCommonDialog
		Me.fInWorldOptions = New System.Windows.Forms.GroupBox
		Me.chkAutoLogin = New System.Windows.Forms.CheckBox
		Me.SSTab1 = New System.Windows.Forms.TabControl
		Me._SSTab1_TabPage0 = New System.Windows.Forms.TabPage
		Me.lblTerrainMin = New System.Windows.Forms.Label
		Me.lblTerrainMax = New System.Windows.Forms.Label
		Me.lblDisableTime = New System.Windows.Forms.Label
		Me.lblWarnTime = New System.Windows.Forms.Label
		Me.lblDefaultTexture = New System.Windows.Forms.Label
		Me.lblDefaultHeight = New System.Windows.Forms.Label
		Me.chkTouristUse = New System.Windows.Forms.CheckBox
		Me.chkBotUse = New System.Windows.Forms.CheckBox
		Me.txtTerrainMin = New System.Windows.Forms.TextBox
		Me.txtTerrainMax = New System.Windows.Forms.TextBox
		Me.txtDisableTime = New System.Windows.Forms.TextBox
		Me.txtWarnTime = New System.Windows.Forms.TextBox
		Me.txtDefaultTexture = New System.Windows.Forms.TextBox
		Me.txtDefaultHeight = New System.Windows.Forms.TextBox
		Me._SSTab1_TabPage1 = New System.Windows.Forms.TabPage
		Me.chkAlwaysEnableTerrain = New System.Windows.Forms.CheckBox
		Me.txtMaxQueries = New System.Windows.Forms.TextBox
		Me.txtMaxCommands = New System.Windows.Forms.TextBox
		Me.lblMaxQueries = New System.Windows.Forms.Label
		Me.lblMaxCommands = New System.Windows.Forms.Label
		Me.cmdApply = New System.Windows.Forms.Button
		Me.tmrAuto = New System.Windows.Forms.Timer(components)
		Me.tmrQueue = New System.Windows.Forms.Timer(components)
		Me.pbClose = New System.Windows.Forms.Button
		Me.fLogin = New System.Windows.Forms.GroupBox
		Me.txtUniHost = New System.Windows.Forms.TextBox
		Me.txtUniPort = New System.Windows.Forms.TextBox
		Me.txtTargetWorld = New System.Windows.Forms.TextBox
		Me.txtPassword = New System.Windows.Forms.TextBox
		Me.txtUserId = New System.Windows.Forms.TextBox
		Me.pbLogin = New System.Windows.Forms.Button
		Me.lblUniHost = New System.Windows.Forms.Label
		Me.lblUniPort = New System.Windows.Forms.Label
		Me.lblTitleTargetWorld = New System.Windows.Forms.Label
		Me.lblTitlePassword = New System.Windows.Forms.Label
		Me.lblTitleCitNum = New System.Windows.Forms.Label
		Me.tmrAW = New System.Windows.Forms.Timer(components)
		Me.fLog = New System.Windows.Forms.GroupBox
		Me.pbFileLog = New System.Windows.Forms.Button
		Me.txtFileLog = New System.Windows.Forms.TextBox
		Me.chkFileLog = New System.Windows.Forms.CheckBox
		Me.ActivityLog = New AxMSComctlLib.AxListView
		Me.tmrCellZ = New System.Windows.Forms.Timer(components)
		Me.lblPercentQueried = New System.Windows.Forms.Label
		Me.lblTitlePercentQueried = New System.Windows.Forms.Label
		Me.lblTitleCellsInWorld = New System.Windows.Forms.Label
		Me.lblCellsInWorld = New System.Windows.Forms.Label
		Me.lblTitleCellCount = New System.Windows.Forms.Label
		Me.lblCellCount = New System.Windows.Forms.Label
		Me.Label4 = New System.Windows.Forms.Label
		Me.lblTerrainCount = New System.Windows.Forms.Label
		Me.lblWorld = New System.Windows.Forms.Label
		Me.Label6 = New System.Windows.Forms.Label
		Me.Label5 = New System.Windows.Forms.Label
		Me.lblConnectState = New System.Windows.Forms.Label
		Me.lblAvatarCount = New System.Windows.Forms.Label
		Me.lblMarkerCount = New System.Windows.Forms.Label
		Me.Label2 = New System.Windows.Forms.Label
		Me.lblTitleMarkerCount = New System.Windows.Forms.Label
		Me.lblState = New System.Windows.Forms.Label
		Me.MainMenu1 = New System.Windows.Forms.MainMenu
		Me.mnuPopup = New System.Windows.Forms.MenuItem
		Me.mnuRestore = New System.Windows.Forms.MenuItem
		Me.mnuSepbar1 = New System.Windows.Forms.MenuItem
		Me.mnuExit = New System.Windows.Forms.MenuItem
		CType(Me.cd, System.ComponentModel.ISupportInitialize).BeginInit()
		CType(Me.ActivityLog, System.ComponentModel.ISupportInitialize).BeginInit()
		Me.StartPosition = System.Windows.Forms.FormStartPosition.Manual
		Me.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle
		Me.Text = "Demeter"
		Me.ClientSize = New System.Drawing.Size(797, 401)
		Me.Location = New System.Drawing.Point(114, 147)
		Me.Icon = CType(resources.GetObject("frmTerrainManager.Icon"), System.Drawing.Icon)
		Me.MaximizeBox = False
		Me.Font = New System.Drawing.Font("Arial", 8!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
		Me.BackColor = System.Drawing.SystemColors.Control
		Me.ControlBox = True
		Me.Enabled = True
		Me.KeyPreview = False
		Me.MinimizeBox = True
		Me.Cursor = System.Windows.Forms.Cursors.Default
		Me.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.ShowInTaskbar = True
		Me.HelpButton = False
		Me.WindowState = System.Windows.Forms.FormWindowState.Normal
		Me.Name = "frmTerrainManager"
		cd.OcxState = CType(resources.GetObject("cd.OcxState"), System.Windows.Forms.AxHost.State)
		Me.cd.Location = New System.Drawing.Point(240, 296)
		Me.cd.Name = "cd"
		Me.fInWorldOptions.Text = "World &Options"
		Me.fInWorldOptions.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Bold Or System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.fInWorldOptions.Size = New System.Drawing.Size(321, 149)
		Me.fInWorldOptions.Location = New System.Drawing.Point(8, 92)
		Me.fInWorldOptions.TabIndex = 12
		Me.fInWorldOptions.BackColor = System.Drawing.SystemColors.Control
		Me.fInWorldOptions.Enabled = True
		Me.fInWorldOptions.ForeColor = System.Drawing.SystemColors.ControlText
		Me.fInWorldOptions.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.fInWorldOptions.Visible = True
		Me.fInWorldOptions.Name = "fInWorldOptions"
		Me.chkAutoLogin.CheckAlign = System.Drawing.ContentAlignment.MiddleRight
		Me.chkAutoLogin.Text = "&Auto Login (next start):"
		Me.chkAutoLogin.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.chkAutoLogin.Size = New System.Drawing.Size(156, 13)
		Me.chkAutoLogin.Location = New System.Drawing.Point(8, 128)
		Me.chkAutoLogin.TabIndex = 33
		Me.chkAutoLogin.BackColor = System.Drawing.SystemColors.Control
		Me.chkAutoLogin.CausesValidation = True
		Me.chkAutoLogin.Enabled = True
		Me.chkAutoLogin.ForeColor = System.Drawing.SystemColors.ControlText
		Me.chkAutoLogin.Cursor = System.Windows.Forms.Cursors.Default
		Me.chkAutoLogin.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.chkAutoLogin.Appearance = System.Windows.Forms.Appearance.Normal
		Me.chkAutoLogin.TabStop = True
		Me.chkAutoLogin.CheckState = System.Windows.Forms.CheckState.Unchecked
		Me.chkAutoLogin.Visible = True
		Me.chkAutoLogin.Name = "chkAutoLogin"
		Me.SSTab1.Size = New System.Drawing.Size(313, 107)
		Me.SSTab1.Location = New System.Drawing.Point(4, 16)
		Me.SSTab1.TabIndex = 13
		Me.SSTab1.Appearance = System.Windows.Forms.TabAppearance.FlatButtons
		Me.SSTab1.ItemSize = New System.Drawing.Size(42, 18)
		Me.SSTab1.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.SSTab1.Name = "SSTab1"
		Me._SSTab1_TabPage0.Text = "&Restrictions"
		Me.lblTerrainMin.Text = "Mi&n Terrain Texture:"
		Me.lblTerrainMin.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.lblTerrainMin.Size = New System.Drawing.Size(125, 17)
		Me.lblTerrainMin.Location = New System.Drawing.Point(6, 27)
		Me.lblTerrainMin.TabIndex = 14
		Me.lblTerrainMin.TextAlign = System.Drawing.ContentAlignment.TopLeft
		Me.lblTerrainMin.BackColor = System.Drawing.Color.Transparent
		Me.lblTerrainMin.Enabled = True
		Me.lblTerrainMin.ForeColor = System.Drawing.SystemColors.ControlText
		Me.lblTerrainMin.Cursor = System.Windows.Forms.Cursors.Default
		Me.lblTerrainMin.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.lblTerrainMin.UseMnemonic = True
		Me.lblTerrainMin.Visible = True
		Me.lblTerrainMin.AutoSize = False
		Me.lblTerrainMin.BorderStyle = System.Windows.Forms.BorderStyle.None
		Me.lblTerrainMin.Name = "lblTerrainMin"
		Me.lblTerrainMax.Text = "Ma&x Terrain Texture:"
		Me.lblTerrainMax.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.lblTerrainMax.Size = New System.Drawing.Size(121, 17)
		Me.lblTerrainMax.Location = New System.Drawing.Point(6, 46)
		Me.lblTerrainMax.TabIndex = 16
		Me.lblTerrainMax.TextAlign = System.Drawing.ContentAlignment.TopLeft
		Me.lblTerrainMax.BackColor = System.Drawing.Color.Transparent
		Me.lblTerrainMax.Enabled = True
		Me.lblTerrainMax.ForeColor = System.Drawing.SystemColors.ControlText
		Me.lblTerrainMax.Cursor = System.Windows.Forms.Cursors.Default
		Me.lblTerrainMax.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.lblTerrainMax.UseMnemonic = True
		Me.lblTerrainMax.Visible = True
		Me.lblTerrainMax.AutoSize = False
		Me.lblTerrainMax.BorderStyle = System.Windows.Forms.BorderStyle.None
		Me.lblTerrainMax.Name = "lblTerrainMax"
		Me.lblDisableTime.Text = "&Disable Time (sec.):"
		Me.lblDisableTime.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.lblDisableTime.Size = New System.Drawing.Size(121, 17)
		Me.lblDisableTime.Location = New System.Drawing.Point(6, 86)
		Me.lblDisableTime.TabIndex = 20
		Me.lblDisableTime.TextAlign = System.Drawing.ContentAlignment.TopLeft
		Me.lblDisableTime.BackColor = System.Drawing.Color.Transparent
		Me.lblDisableTime.Enabled = True
		Me.lblDisableTime.ForeColor = System.Drawing.SystemColors.ControlText
		Me.lblDisableTime.Cursor = System.Windows.Forms.Cursors.Default
		Me.lblDisableTime.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.lblDisableTime.UseMnemonic = True
		Me.lblDisableTime.Visible = True
		Me.lblDisableTime.AutoSize = False
		Me.lblDisableTime.BorderStyle = System.Windows.Forms.BorderStyle.None
		Me.lblDisableTime.Name = "lblDisableTime"
		Me.lblWarnTime.Text = "War&n Time (sec):"
		Me.lblWarnTime.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.lblWarnTime.Size = New System.Drawing.Size(125, 17)
		Me.lblWarnTime.Location = New System.Drawing.Point(6, 66)
		Me.lblWarnTime.TabIndex = 18
		Me.lblWarnTime.TextAlign = System.Drawing.ContentAlignment.TopLeft
		Me.lblWarnTime.BackColor = System.Drawing.Color.Transparent
		Me.lblWarnTime.Enabled = True
		Me.lblWarnTime.ForeColor = System.Drawing.SystemColors.ControlText
		Me.lblWarnTime.Cursor = System.Windows.Forms.Cursors.Default
		Me.lblWarnTime.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.lblWarnTime.UseMnemonic = True
		Me.lblWarnTime.Visible = True
		Me.lblWarnTime.AutoSize = False
		Me.lblWarnTime.BorderStyle = System.Windows.Forms.BorderStyle.None
		Me.lblWarnTime.Name = "lblWarnTime"
		Me.lblDefaultTexture.Text = "De&fault Texture:"
		Me.lblDefaultTexture.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.lblDefaultTexture.Size = New System.Drawing.Size(109, 17)
		Me.lblDefaultTexture.Location = New System.Drawing.Point(164, 27)
		Me.lblDefaultTexture.TabIndex = 22
		Me.lblDefaultTexture.TextAlign = System.Drawing.ContentAlignment.TopLeft
		Me.lblDefaultTexture.BackColor = System.Drawing.Color.Transparent
		Me.lblDefaultTexture.Enabled = True
		Me.lblDefaultTexture.ForeColor = System.Drawing.SystemColors.ControlText
		Me.lblDefaultTexture.Cursor = System.Windows.Forms.Cursors.Default
		Me.lblDefaultTexture.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.lblDefaultTexture.UseMnemonic = True
		Me.lblDefaultTexture.Visible = True
		Me.lblDefaultTexture.AutoSize = False
		Me.lblDefaultTexture.BorderStyle = System.Windows.Forms.BorderStyle.None
		Me.lblDefaultTexture.Name = "lblDefaultTexture"
		Me.lblDefaultHeight.Text = "Default &Height (m):"
		Me.lblDefaultHeight.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.lblDefaultHeight.Size = New System.Drawing.Size(109, 17)
		Me.lblDefaultHeight.Location = New System.Drawing.Point(164, 47)
		Me.lblDefaultHeight.TabIndex = 24
		Me.lblDefaultHeight.TextAlign = System.Drawing.ContentAlignment.TopLeft
		Me.lblDefaultHeight.BackColor = System.Drawing.Color.Transparent
		Me.lblDefaultHeight.Enabled = True
		Me.lblDefaultHeight.ForeColor = System.Drawing.SystemColors.ControlText
		Me.lblDefaultHeight.Cursor = System.Windows.Forms.Cursors.Default
		Me.lblDefaultHeight.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.lblDefaultHeight.UseMnemonic = True
		Me.lblDefaultHeight.Visible = True
		Me.lblDefaultHeight.AutoSize = False
		Me.lblDefaultHeight.BorderStyle = System.Windows.Forms.BorderStyle.None
		Me.lblDefaultHeight.Name = "lblDefaultHeight"
		Me.chkTouristUse.CheckAlign = System.Drawing.ContentAlignment.MiddleRight
		Me.chkTouristUse.Text = "Allow &Tourist Use:"
		Me.chkTouristUse.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.chkTouristUse.Size = New System.Drawing.Size(141, 13)
		Me.chkTouristUse.Location = New System.Drawing.Point(164, 88)
		Me.chkTouristUse.TabIndex = 27
		Me.chkTouristUse.CheckState = System.Windows.Forms.CheckState.Checked
		Me.chkTouristUse.BackColor = System.Drawing.SystemColors.Control
		Me.chkTouristUse.CausesValidation = True
		Me.chkTouristUse.Enabled = True
		Me.chkTouristUse.ForeColor = System.Drawing.SystemColors.ControlText
		Me.chkTouristUse.Cursor = System.Windows.Forms.Cursors.Default
		Me.chkTouristUse.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.chkTouristUse.Appearance = System.Windows.Forms.Appearance.Normal
		Me.chkTouristUse.TabStop = True
		Me.chkTouristUse.Visible = True
		Me.chkTouristUse.Name = "chkTouristUse"
		Me.chkBotUse.CheckAlign = System.Drawing.ContentAlignment.MiddleRight
		Me.chkBotUse.Text = "Allow &Bot Use:"
		Me.chkBotUse.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.chkBotUse.Size = New System.Drawing.Size(141, 13)
		Me.chkBotUse.Location = New System.Drawing.Point(164, 68)
		Me.chkBotUse.TabIndex = 26
		Me.chkBotUse.CheckState = System.Windows.Forms.CheckState.Checked
		Me.chkBotUse.BackColor = System.Drawing.SystemColors.Control
		Me.chkBotUse.CausesValidation = True
		Me.chkBotUse.Enabled = True
		Me.chkBotUse.ForeColor = System.Drawing.SystemColors.ControlText
		Me.chkBotUse.Cursor = System.Windows.Forms.Cursors.Default
		Me.chkBotUse.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.chkBotUse.Appearance = System.Windows.Forms.Appearance.Normal
		Me.chkBotUse.TabStop = True
		Me.chkBotUse.Visible = True
		Me.chkBotUse.Name = "chkBotUse"
		Me.txtTerrainMin.AutoSize = False
		Me.txtTerrainMin.TextAlign = System.Windows.Forms.HorizontalAlignment.Right
		Me.txtTerrainMin.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.txtTerrainMin.Size = New System.Drawing.Size(33, 19)
		Me.txtTerrainMin.Location = New System.Drawing.Point(128, 24)
		Me.txtTerrainMin.Maxlength = 2
		Me.txtTerrainMin.TabIndex = 15
		Me.txtTerrainMin.Text = "0"
		Me.txtTerrainMin.AcceptsReturn = True
		Me.txtTerrainMin.BackColor = System.Drawing.SystemColors.Window
		Me.txtTerrainMin.CausesValidation = True
		Me.txtTerrainMin.Enabled = True
		Me.txtTerrainMin.ForeColor = System.Drawing.SystemColors.WindowText
		Me.txtTerrainMin.HideSelection = True
		Me.txtTerrainMin.ReadOnly = False
		Me.txtTerrainMin.Cursor = System.Windows.Forms.Cursors.IBeam
		Me.txtTerrainMin.MultiLine = False
		Me.txtTerrainMin.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.txtTerrainMin.ScrollBars = System.Windows.Forms.ScrollBars.None
		Me.txtTerrainMin.TabStop = True
		Me.txtTerrainMin.Visible = True
		Me.txtTerrainMin.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D
		Me.txtTerrainMin.Name = "txtTerrainMin"
		Me.txtTerrainMax.AutoSize = False
		Me.txtTerrainMax.TextAlign = System.Windows.Forms.HorizontalAlignment.Right
		Me.txtTerrainMax.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.txtTerrainMax.Size = New System.Drawing.Size(33, 19)
		Me.txtTerrainMax.IMEMode = System.Windows.Forms.ImeMode.Disable
		Me.txtTerrainMax.Location = New System.Drawing.Point(128, 44)
		Me.txtTerrainMax.Maxlength = 2
		Me.txtTerrainMax.TabIndex = 17
		Me.txtTerrainMax.Text = "62"
		Me.txtTerrainMax.AcceptsReturn = True
		Me.txtTerrainMax.BackColor = System.Drawing.SystemColors.Window
		Me.txtTerrainMax.CausesValidation = True
		Me.txtTerrainMax.Enabled = True
		Me.txtTerrainMax.ForeColor = System.Drawing.SystemColors.WindowText
		Me.txtTerrainMax.HideSelection = True
		Me.txtTerrainMax.ReadOnly = False
		Me.txtTerrainMax.Cursor = System.Windows.Forms.Cursors.IBeam
		Me.txtTerrainMax.MultiLine = False
		Me.txtTerrainMax.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.txtTerrainMax.ScrollBars = System.Windows.Forms.ScrollBars.None
		Me.txtTerrainMax.TabStop = True
		Me.txtTerrainMax.Visible = True
		Me.txtTerrainMax.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D
		Me.txtTerrainMax.Name = "txtTerrainMax"
		Me.txtDisableTime.AutoSize = False
		Me.txtDisableTime.TextAlign = System.Windows.Forms.HorizontalAlignment.Right
		Me.txtDisableTime.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.txtDisableTime.Size = New System.Drawing.Size(33, 19)
		Me.txtDisableTime.IMEMode = System.Windows.Forms.ImeMode.Disable
		Me.txtDisableTime.Location = New System.Drawing.Point(128, 84)
		Me.txtDisableTime.TabIndex = 21
		Me.txtDisableTime.Text = "150"
		Me.txtDisableTime.AcceptsReturn = True
		Me.txtDisableTime.BackColor = System.Drawing.SystemColors.Window
		Me.txtDisableTime.CausesValidation = True
		Me.txtDisableTime.Enabled = True
		Me.txtDisableTime.ForeColor = System.Drawing.SystemColors.WindowText
		Me.txtDisableTime.HideSelection = True
		Me.txtDisableTime.ReadOnly = False
		Me.txtDisableTime.Maxlength = 0
		Me.txtDisableTime.Cursor = System.Windows.Forms.Cursors.IBeam
		Me.txtDisableTime.MultiLine = False
		Me.txtDisableTime.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.txtDisableTime.ScrollBars = System.Windows.Forms.ScrollBars.None
		Me.txtDisableTime.TabStop = True
		Me.txtDisableTime.Visible = True
		Me.txtDisableTime.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D
		Me.txtDisableTime.Name = "txtDisableTime"
		Me.txtWarnTime.AutoSize = False
		Me.txtWarnTime.TextAlign = System.Windows.Forms.HorizontalAlignment.Right
		Me.txtWarnTime.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.txtWarnTime.Size = New System.Drawing.Size(33, 19)
		Me.txtWarnTime.Location = New System.Drawing.Point(128, 64)
		Me.txtWarnTime.TabIndex = 19
		Me.txtWarnTime.Text = "120"
		Me.txtWarnTime.AcceptsReturn = True
		Me.txtWarnTime.BackColor = System.Drawing.SystemColors.Window
		Me.txtWarnTime.CausesValidation = True
		Me.txtWarnTime.Enabled = True
		Me.txtWarnTime.ForeColor = System.Drawing.SystemColors.WindowText
		Me.txtWarnTime.HideSelection = True
		Me.txtWarnTime.ReadOnly = False
		Me.txtWarnTime.Maxlength = 0
		Me.txtWarnTime.Cursor = System.Windows.Forms.Cursors.IBeam
		Me.txtWarnTime.MultiLine = False
		Me.txtWarnTime.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.txtWarnTime.ScrollBars = System.Windows.Forms.ScrollBars.None
		Me.txtWarnTime.TabStop = True
		Me.txtWarnTime.Visible = True
		Me.txtWarnTime.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D
		Me.txtWarnTime.Name = "txtWarnTime"
		Me.txtDefaultTexture.AutoSize = False
		Me.txtDefaultTexture.TextAlign = System.Windows.Forms.HorizontalAlignment.Right
		Me.txtDefaultTexture.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.txtDefaultTexture.Size = New System.Drawing.Size(33, 19)
		Me.txtDefaultTexture.Location = New System.Drawing.Point(276, 24)
		Me.txtDefaultTexture.Maxlength = 10
		Me.txtDefaultTexture.TabIndex = 23
		Me.txtDefaultTexture.Text = "0"
		Me.txtDefaultTexture.AcceptsReturn = True
		Me.txtDefaultTexture.BackColor = System.Drawing.SystemColors.Window
		Me.txtDefaultTexture.CausesValidation = True
		Me.txtDefaultTexture.Enabled = True
		Me.txtDefaultTexture.ForeColor = System.Drawing.SystemColors.WindowText
		Me.txtDefaultTexture.HideSelection = True
		Me.txtDefaultTexture.ReadOnly = False
		Me.txtDefaultTexture.Cursor = System.Windows.Forms.Cursors.IBeam
		Me.txtDefaultTexture.MultiLine = False
		Me.txtDefaultTexture.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.txtDefaultTexture.ScrollBars = System.Windows.Forms.ScrollBars.None
		Me.txtDefaultTexture.TabStop = True
		Me.txtDefaultTexture.Visible = True
		Me.txtDefaultTexture.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D
		Me.txtDefaultTexture.Name = "txtDefaultTexture"
		Me.txtDefaultHeight.AutoSize = False
		Me.txtDefaultHeight.TextAlign = System.Windows.Forms.HorizontalAlignment.Right
		Me.txtDefaultHeight.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.txtDefaultHeight.Size = New System.Drawing.Size(33, 19)
		Me.txtDefaultHeight.Location = New System.Drawing.Point(276, 44)
		Me.txtDefaultHeight.Maxlength = 10
		Me.txtDefaultHeight.TabIndex = 25
		Me.txtDefaultHeight.Text = "-0.1"
		Me.txtDefaultHeight.AcceptsReturn = True
		Me.txtDefaultHeight.BackColor = System.Drawing.SystemColors.Window
		Me.txtDefaultHeight.CausesValidation = True
		Me.txtDefaultHeight.Enabled = True
		Me.txtDefaultHeight.ForeColor = System.Drawing.SystemColors.WindowText
		Me.txtDefaultHeight.HideSelection = True
		Me.txtDefaultHeight.ReadOnly = False
		Me.txtDefaultHeight.Cursor = System.Windows.Forms.Cursors.IBeam
		Me.txtDefaultHeight.MultiLine = False
		Me.txtDefaultHeight.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.txtDefaultHeight.ScrollBars = System.Windows.Forms.ScrollBars.None
		Me.txtDefaultHeight.TabStop = True
		Me.txtDefaultHeight.Visible = True
		Me.txtDefaultHeight.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D
		Me.txtDefaultHeight.Name = "txtDefaultHeight"
		Me._SSTab1_TabPage1.Text = "&Performance"
		Me.chkAlwaysEnableTerrain.CheckAlign = System.Drawing.ContentAlignment.MiddleRight
		Me.chkAlwaysEnableTerrain.Text = "Terrain &sessions enabled upon entry:"
		Me.chkAlwaysEnableTerrain.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.chkAlwaysEnableTerrain.Size = New System.Drawing.Size(294, 13)
		Me.chkAlwaysEnableTerrain.Location = New System.Drawing.Point(6, 44)
		Me.chkAlwaysEnableTerrain.TabIndex = 32
		Me.chkAlwaysEnableTerrain.BackColor = System.Drawing.SystemColors.Control
		Me.chkAlwaysEnableTerrain.CausesValidation = True
		Me.chkAlwaysEnableTerrain.Enabled = True
		Me.chkAlwaysEnableTerrain.ForeColor = System.Drawing.SystemColors.ControlText
		Me.chkAlwaysEnableTerrain.Cursor = System.Windows.Forms.Cursors.Default
		Me.chkAlwaysEnableTerrain.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.chkAlwaysEnableTerrain.Appearance = System.Windows.Forms.Appearance.Normal
		Me.chkAlwaysEnableTerrain.TabStop = True
		Me.chkAlwaysEnableTerrain.CheckState = System.Windows.Forms.CheckState.Unchecked
		Me.chkAlwaysEnableTerrain.Visible = True
		Me.chkAlwaysEnableTerrain.Name = "chkAlwaysEnableTerrain"
		Me.txtMaxQueries.AutoSize = False
		Me.txtMaxQueries.TextAlign = System.Windows.Forms.HorizontalAlignment.Right
		Me.txtMaxQueries.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.txtMaxQueries.Size = New System.Drawing.Size(33, 19)
		Me.txtMaxQueries.Location = New System.Drawing.Point(92, 24)
		Me.txtMaxQueries.Maxlength = 4
		Me.txtMaxQueries.TabIndex = 29
		Me.txtMaxQueries.Text = "15"
		Me.txtMaxQueries.AcceptsReturn = True
		Me.txtMaxQueries.BackColor = System.Drawing.SystemColors.Window
		Me.txtMaxQueries.CausesValidation = True
		Me.txtMaxQueries.Enabled = True
		Me.txtMaxQueries.ForeColor = System.Drawing.SystemColors.WindowText
		Me.txtMaxQueries.HideSelection = True
		Me.txtMaxQueries.ReadOnly = False
		Me.txtMaxQueries.Cursor = System.Windows.Forms.Cursors.IBeam
		Me.txtMaxQueries.MultiLine = False
		Me.txtMaxQueries.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.txtMaxQueries.ScrollBars = System.Windows.Forms.ScrollBars.None
		Me.txtMaxQueries.TabStop = True
		Me.txtMaxQueries.Visible = True
		Me.txtMaxQueries.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D
		Me.txtMaxQueries.Name = "txtMaxQueries"
		Me.txtMaxCommands.AutoSize = False
		Me.txtMaxCommands.TextAlign = System.Windows.Forms.HorizontalAlignment.Right
		Me.txtMaxCommands.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.txtMaxCommands.Size = New System.Drawing.Size(33, 19)
		Me.txtMaxCommands.Location = New System.Drawing.Point(268, 24)
		Me.txtMaxCommands.Maxlength = 4
		Me.txtMaxCommands.TabIndex = 31
		Me.txtMaxCommands.Text = "15"
		Me.txtMaxCommands.AcceptsReturn = True
		Me.txtMaxCommands.BackColor = System.Drawing.SystemColors.Window
		Me.txtMaxCommands.CausesValidation = True
		Me.txtMaxCommands.Enabled = True
		Me.txtMaxCommands.ForeColor = System.Drawing.SystemColors.WindowText
		Me.txtMaxCommands.HideSelection = True
		Me.txtMaxCommands.ReadOnly = False
		Me.txtMaxCommands.Cursor = System.Windows.Forms.Cursors.IBeam
		Me.txtMaxCommands.MultiLine = False
		Me.txtMaxCommands.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.txtMaxCommands.ScrollBars = System.Windows.Forms.ScrollBars.None
		Me.txtMaxCommands.TabStop = True
		Me.txtMaxCommands.Visible = True
		Me.txtMaxCommands.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D
		Me.txtMaxCommands.Name = "txtMaxCommands"
		Me.lblMaxQueries.Text = "Max &queries:"
		Me.lblMaxQueries.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.lblMaxQueries.Size = New System.Drawing.Size(125, 17)
		Me.lblMaxQueries.Location = New System.Drawing.Point(8, 27)
		Me.lblMaxQueries.TabIndex = 28
		Me.lblMaxQueries.TextAlign = System.Drawing.ContentAlignment.TopLeft
		Me.lblMaxQueries.BackColor = System.Drawing.Color.Transparent
		Me.lblMaxQueries.Enabled = True
		Me.lblMaxQueries.ForeColor = System.Drawing.SystemColors.ControlText
		Me.lblMaxQueries.Cursor = System.Windows.Forms.Cursors.Default
		Me.lblMaxQueries.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.lblMaxQueries.UseMnemonic = True
		Me.lblMaxQueries.Visible = True
		Me.lblMaxQueries.AutoSize = False
		Me.lblMaxQueries.BorderStyle = System.Windows.Forms.BorderStyle.None
		Me.lblMaxQueries.Name = "lblMaxQueries"
		Me.lblMaxCommands.Text = "Max c&ommands:"
		Me.lblMaxCommands.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.lblMaxCommands.Size = New System.Drawing.Size(125, 17)
		Me.lblMaxCommands.Location = New System.Drawing.Point(144, 28)
		Me.lblMaxCommands.TabIndex = 30
		Me.lblMaxCommands.TextAlign = System.Drawing.ContentAlignment.TopLeft
		Me.lblMaxCommands.BackColor = System.Drawing.Color.Transparent
		Me.lblMaxCommands.Enabled = True
		Me.lblMaxCommands.ForeColor = System.Drawing.SystemColors.ControlText
		Me.lblMaxCommands.Cursor = System.Windows.Forms.Cursors.Default
		Me.lblMaxCommands.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.lblMaxCommands.UseMnemonic = True
		Me.lblMaxCommands.Visible = True
		Me.lblMaxCommands.AutoSize = False
		Me.lblMaxCommands.BorderStyle = System.Windows.Forms.BorderStyle.None
		Me.lblMaxCommands.Name = "lblMaxCommands"
		Me.cmdApply.TextAlign = System.Drawing.ContentAlignment.MiddleCenter
		Me.cmdApply.Text = "&Apply"
		Me.cmdApply.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Bold Or System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.cmdApply.Size = New System.Drawing.Size(57, 17)
		Me.cmdApply.Location = New System.Drawing.Point(260, 127)
		Me.cmdApply.TabIndex = 34
		Me.ToolTip1.SetToolTip(Me.cmdApply, "Apply World Options")
		Me.cmdApply.BackColor = System.Drawing.SystemColors.Control
		Me.cmdApply.CausesValidation = True
		Me.cmdApply.Enabled = True
		Me.cmdApply.ForeColor = System.Drawing.SystemColors.ControlText
		Me.cmdApply.Cursor = System.Windows.Forms.Cursors.Default
		Me.cmdApply.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.cmdApply.TabStop = True
		Me.cmdApply.Name = "cmdApply"
		Me.tmrAuto.Enabled = False
		Me.tmrAuto.Interval = 1
		Me.tmrQueue.Enabled = False
		Me.tmrQueue.Interval = 1
		Me.pbClose.TextAlign = System.Drawing.ContentAlignment.MiddleCenter
		Me.pbClose.Text = "&Close"
		Me.pbClose.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Bold Or System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.pbClose.Size = New System.Drawing.Size(89, 25)
		Me.pbClose.Location = New System.Drawing.Point(240, 268)
		Me.pbClose.TabIndex = 52
		Me.ToolTip1.SetToolTip(Me.pbClose, "Terminate And Close")
		Me.pbClose.BackColor = System.Drawing.SystemColors.Control
		Me.pbClose.CausesValidation = True
		Me.pbClose.Enabled = True
		Me.pbClose.ForeColor = System.Drawing.SystemColors.ControlText
		Me.pbClose.Cursor = System.Windows.Forms.Cursors.Default
		Me.pbClose.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.pbClose.TabStop = True
		Me.pbClose.Name = "pbClose"
		Me.fLogin.Text = "&Login Information"
		Me.fLogin.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Bold Or System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.fLogin.Size = New System.Drawing.Size(321, 85)
		Me.fLogin.Location = New System.Drawing.Point(8, 4)
		Me.fLogin.TabIndex = 0
		Me.fLogin.BackColor = System.Drawing.SystemColors.Control
		Me.fLogin.Enabled = True
		Me.fLogin.ForeColor = System.Drawing.SystemColors.ControlText
		Me.fLogin.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.fLogin.Visible = True
		Me.fLogin.Name = "fLogin"
		Me.txtUniHost.AutoSize = False
		Me.txtUniHost.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.txtUniHost.Size = New System.Drawing.Size(97, 19)
		Me.txtUniHost.Location = New System.Drawing.Point(68, 16)
		Me.txtUniHost.TabIndex = 2
		Me.txtUniHost.AcceptsReturn = True
		Me.txtUniHost.TextAlign = System.Windows.Forms.HorizontalAlignment.Left
		Me.txtUniHost.BackColor = System.Drawing.SystemColors.Window
		Me.txtUniHost.CausesValidation = True
		Me.txtUniHost.Enabled = True
		Me.txtUniHost.ForeColor = System.Drawing.SystemColors.WindowText
		Me.txtUniHost.HideSelection = True
		Me.txtUniHost.ReadOnly = False
		Me.txtUniHost.Maxlength = 0
		Me.txtUniHost.Cursor = System.Windows.Forms.Cursors.IBeam
		Me.txtUniHost.MultiLine = False
		Me.txtUniHost.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.txtUniHost.ScrollBars = System.Windows.Forms.ScrollBars.None
		Me.txtUniHost.TabStop = True
		Me.txtUniHost.Visible = True
		Me.txtUniHost.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D
		Me.txtUniHost.Name = "txtUniHost"
		Me.txtUniPort.AutoSize = False
		Me.txtUniPort.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.txtUniPort.Size = New System.Drawing.Size(97, 19)
		Me.txtUniPort.IMEMode = System.Windows.Forms.ImeMode.Disable
		Me.txtUniPort.Location = New System.Drawing.Point(216, 16)
		Me.txtUniPort.TabIndex = 8
		Me.txtUniPort.AcceptsReturn = True
		Me.txtUniPort.TextAlign = System.Windows.Forms.HorizontalAlignment.Left
		Me.txtUniPort.BackColor = System.Drawing.SystemColors.Window
		Me.txtUniPort.CausesValidation = True
		Me.txtUniPort.Enabled = True
		Me.txtUniPort.ForeColor = System.Drawing.SystemColors.WindowText
		Me.txtUniPort.HideSelection = True
		Me.txtUniPort.ReadOnly = False
		Me.txtUniPort.Maxlength = 0
		Me.txtUniPort.Cursor = System.Windows.Forms.Cursors.IBeam
		Me.txtUniPort.MultiLine = False
		Me.txtUniPort.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.txtUniPort.ScrollBars = System.Windows.Forms.ScrollBars.None
		Me.txtUniPort.TabStop = True
		Me.txtUniPort.Visible = True
		Me.txtUniPort.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D
		Me.txtUniPort.Name = "txtUniPort"
		Me.txtTargetWorld.AutoSize = False
		Me.txtTargetWorld.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.txtTargetWorld.Size = New System.Drawing.Size(97, 19)
		Me.txtTargetWorld.Location = New System.Drawing.Point(68, 36)
		Me.txtTargetWorld.TabIndex = 4
		Me.txtTargetWorld.AcceptsReturn = True
		Me.txtTargetWorld.TextAlign = System.Windows.Forms.HorizontalAlignment.Left
		Me.txtTargetWorld.BackColor = System.Drawing.SystemColors.Window
		Me.txtTargetWorld.CausesValidation = True
		Me.txtTargetWorld.Enabled = True
		Me.txtTargetWorld.ForeColor = System.Drawing.SystemColors.WindowText
		Me.txtTargetWorld.HideSelection = True
		Me.txtTargetWorld.ReadOnly = False
		Me.txtTargetWorld.Maxlength = 0
		Me.txtTargetWorld.Cursor = System.Windows.Forms.Cursors.IBeam
		Me.txtTargetWorld.MultiLine = False
		Me.txtTargetWorld.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.txtTargetWorld.ScrollBars = System.Windows.Forms.ScrollBars.None
		Me.txtTargetWorld.TabStop = True
		Me.txtTargetWorld.Visible = True
		Me.txtTargetWorld.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D
		Me.txtTargetWorld.Name = "txtTargetWorld"
		Me.txtPassword.AutoSize = False
		Me.txtPassword.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.txtPassword.Size = New System.Drawing.Size(97, 19)
		Me.txtPassword.IMEMode = System.Windows.Forms.ImeMode.Disable
		Me.txtPassword.Location = New System.Drawing.Point(216, 36)
		Me.txtPassword.TabIndex = 10
		Me.txtPassword.AcceptsReturn = True
		Me.txtPassword.TextAlign = System.Windows.Forms.HorizontalAlignment.Left
		Me.txtPassword.BackColor = System.Drawing.SystemColors.Window
		Me.txtPassword.CausesValidation = True
		Me.txtPassword.Enabled = True
		Me.txtPassword.ForeColor = System.Drawing.SystemColors.WindowText
		Me.txtPassword.HideSelection = True
		Me.txtPassword.ReadOnly = False
		Me.txtPassword.Maxlength = 0
		Me.txtPassword.Cursor = System.Windows.Forms.Cursors.IBeam
		Me.txtPassword.MultiLine = False
		Me.txtPassword.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.txtPassword.ScrollBars = System.Windows.Forms.ScrollBars.None
		Me.txtPassword.TabStop = True
		Me.txtPassword.Visible = True
		Me.txtPassword.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D
		Me.txtPassword.Name = "txtPassword"
		Me.txtUserId.AutoSize = False
		Me.txtUserId.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.txtUserId.Size = New System.Drawing.Size(97, 19)
		Me.txtUserId.Location = New System.Drawing.Point(68, 56)
		Me.txtUserId.TabIndex = 6
		Me.txtUserId.AcceptsReturn = True
		Me.txtUserId.TextAlign = System.Windows.Forms.HorizontalAlignment.Left
		Me.txtUserId.BackColor = System.Drawing.SystemColors.Window
		Me.txtUserId.CausesValidation = True
		Me.txtUserId.Enabled = True
		Me.txtUserId.ForeColor = System.Drawing.SystemColors.WindowText
		Me.txtUserId.HideSelection = True
		Me.txtUserId.ReadOnly = False
		Me.txtUserId.Maxlength = 0
		Me.txtUserId.Cursor = System.Windows.Forms.Cursors.IBeam
		Me.txtUserId.MultiLine = False
		Me.txtUserId.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.txtUserId.ScrollBars = System.Windows.Forms.ScrollBars.None
		Me.txtUserId.TabStop = True
		Me.txtUserId.Visible = True
		Me.txtUserId.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D
		Me.txtUserId.Name = "txtUserId"
		Me.pbLogin.TextAlign = System.Drawing.ContentAlignment.MiddleCenter
		Me.pbLogin.Text = "&Login"
		Me.pbLogin.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Bold Or System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.pbLogin.Size = New System.Drawing.Size(57, 17)
		Me.pbLogin.Location = New System.Drawing.Point(256, 60)
		Me.pbLogin.TabIndex = 11
		Me.ToolTip1.SetToolTip(Me.pbLogin, "Log In")
		Me.pbLogin.BackColor = System.Drawing.SystemColors.Control
		Me.pbLogin.CausesValidation = True
		Me.pbLogin.Enabled = True
		Me.pbLogin.ForeColor = System.Drawing.SystemColors.ControlText
		Me.pbLogin.Cursor = System.Windows.Forms.Cursors.Default
		Me.pbLogin.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.pbLogin.TabStop = True
		Me.pbLogin.Name = "pbLogin"
		Me.lblUniHost.Text = "Uni &Host:"
		Me.lblUniHost.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.lblUniHost.Size = New System.Drawing.Size(73, 17)
		Me.lblUniHost.Location = New System.Drawing.Point(8, 19)
		Me.lblUniHost.TabIndex = 1
		Me.lblUniHost.TextAlign = System.Drawing.ContentAlignment.TopLeft
		Me.lblUniHost.BackColor = System.Drawing.Color.Transparent
		Me.lblUniHost.Enabled = True
		Me.lblUniHost.ForeColor = System.Drawing.SystemColors.ControlText
		Me.lblUniHost.Cursor = System.Windows.Forms.Cursors.Default
		Me.lblUniHost.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.lblUniHost.UseMnemonic = True
		Me.lblUniHost.Visible = True
		Me.lblUniHost.AutoSize = False
		Me.lblUniHost.BorderStyle = System.Windows.Forms.BorderStyle.None
		Me.lblUniHost.Name = "lblUniHost"
		Me.lblUniPort.Text = "Por&t:"
		Me.lblUniPort.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.lblUniPort.Size = New System.Drawing.Size(73, 17)
		Me.lblUniPort.Location = New System.Drawing.Point(176, 16)
		Me.lblUniPort.TabIndex = 7
		Me.lblUniPort.TextAlign = System.Drawing.ContentAlignment.TopLeft
		Me.lblUniPort.BackColor = System.Drawing.Color.Transparent
		Me.lblUniPort.Enabled = True
		Me.lblUniPort.ForeColor = System.Drawing.SystemColors.ControlText
		Me.lblUniPort.Cursor = System.Windows.Forms.Cursors.Default
		Me.lblUniPort.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.lblUniPort.UseMnemonic = True
		Me.lblUniPort.Visible = True
		Me.lblUniPort.AutoSize = False
		Me.lblUniPort.BorderStyle = System.Windows.Forms.BorderStyle.None
		Me.lblUniPort.Name = "lblUniPort"
		Me.lblTitleTargetWorld.Text = "&World:"
		Me.lblTitleTargetWorld.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.lblTitleTargetWorld.Size = New System.Drawing.Size(73, 17)
		Me.lblTitleTargetWorld.Location = New System.Drawing.Point(8, 39)
		Me.lblTitleTargetWorld.TabIndex = 3
		Me.lblTitleTargetWorld.TextAlign = System.Drawing.ContentAlignment.TopLeft
		Me.lblTitleTargetWorld.BackColor = System.Drawing.Color.Transparent
		Me.lblTitleTargetWorld.Enabled = True
		Me.lblTitleTargetWorld.ForeColor = System.Drawing.SystemColors.ControlText
		Me.lblTitleTargetWorld.Cursor = System.Windows.Forms.Cursors.Default
		Me.lblTitleTargetWorld.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.lblTitleTargetWorld.UseMnemonic = True
		Me.lblTitleTargetWorld.Visible = True
		Me.lblTitleTargetWorld.AutoSize = False
		Me.lblTitleTargetWorld.BorderStyle = System.Windows.Forms.BorderStyle.None
		Me.lblTitleTargetWorld.Name = "lblTitleTargetWorld"
		Me.lblTitlePassword.Text = "&PPW:"
		Me.lblTitlePassword.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.lblTitlePassword.Size = New System.Drawing.Size(73, 17)
		Me.lblTitlePassword.Location = New System.Drawing.Point(176, 38)
		Me.lblTitlePassword.TabIndex = 9
		Me.lblTitlePassword.TextAlign = System.Drawing.ContentAlignment.TopLeft
		Me.lblTitlePassword.BackColor = System.Drawing.Color.Transparent
		Me.lblTitlePassword.Enabled = True
		Me.lblTitlePassword.ForeColor = System.Drawing.SystemColors.ControlText
		Me.lblTitlePassword.Cursor = System.Windows.Forms.Cursors.Default
		Me.lblTitlePassword.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.lblTitlePassword.UseMnemonic = True
		Me.lblTitlePassword.Visible = True
		Me.lblTitlePassword.AutoSize = False
		Me.lblTitlePassword.BorderStyle = System.Windows.Forms.BorderStyle.None
		Me.lblTitlePassword.Name = "lblTitlePassword"
		Me.lblTitleCitNum.Text = "&Citizen #:"
		Me.lblTitleCitNum.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.lblTitleCitNum.Size = New System.Drawing.Size(73, 17)
		Me.lblTitleCitNum.Location = New System.Drawing.Point(8, 59)
		Me.lblTitleCitNum.TabIndex = 5
		Me.lblTitleCitNum.TextAlign = System.Drawing.ContentAlignment.TopLeft
		Me.lblTitleCitNum.BackColor = System.Drawing.Color.Transparent
		Me.lblTitleCitNum.Enabled = True
		Me.lblTitleCitNum.ForeColor = System.Drawing.SystemColors.ControlText
		Me.lblTitleCitNum.Cursor = System.Windows.Forms.Cursors.Default
		Me.lblTitleCitNum.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.lblTitleCitNum.UseMnemonic = True
		Me.lblTitleCitNum.Visible = True
		Me.lblTitleCitNum.AutoSize = False
		Me.lblTitleCitNum.BorderStyle = System.Windows.Forms.BorderStyle.None
		Me.lblTitleCitNum.Name = "lblTitleCitNum"
		Me.tmrAW.Enabled = False
		Me.tmrAW.Interval = 1
		Me.fLog.Text = "Activity Lo&g"
		Me.fLog.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Bold Or System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.fLog.Size = New System.Drawing.Size(457, 393)
		Me.fLog.Location = New System.Drawing.Point(336, 4)
		Me.fLog.TabIndex = 53
		Me.fLog.BackColor = System.Drawing.SystemColors.Control
		Me.fLog.Enabled = True
		Me.fLog.ForeColor = System.Drawing.SystemColors.ControlText
		Me.fLog.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.fLog.Visible = True
		Me.fLog.Name = "fLog"
		Me.pbFileLog.TextAlign = System.Drawing.ContentAlignment.MiddleCenter
		Me.CancelButton = Me.pbFileLog
		Me.pbFileLog.Text = "&Browse..."
		Me.pbFileLog.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.pbFileLog.Size = New System.Drawing.Size(73, 19)
		Me.pbFileLog.Location = New System.Drawing.Point(376, 368)
		Me.pbFileLog.TabIndex = 57
		Me.ToolTip1.SetToolTip(Me.pbFileLog, "Terminate And Close")
		Me.pbFileLog.BackColor = System.Drawing.SystemColors.Control
		Me.pbFileLog.CausesValidation = True
		Me.pbFileLog.Enabled = True
		Me.pbFileLog.ForeColor = System.Drawing.SystemColors.ControlText
		Me.pbFileLog.Cursor = System.Windows.Forms.Cursors.Default
		Me.pbFileLog.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.pbFileLog.TabStop = True
		Me.pbFileLog.Name = "pbFileLog"
		Me.txtFileLog.AutoSize = False
		Me.txtFileLog.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.txtFileLog.Size = New System.Drawing.Size(273, 19)
		Me.txtFileLog.Location = New System.Drawing.Point(96, 368)
		Me.txtFileLog.TabIndex = 56
		Me.txtFileLog.AcceptsReturn = True
		Me.txtFileLog.TextAlign = System.Windows.Forms.HorizontalAlignment.Left
		Me.txtFileLog.BackColor = System.Drawing.SystemColors.Window
		Me.txtFileLog.CausesValidation = True
		Me.txtFileLog.Enabled = True
		Me.txtFileLog.ForeColor = System.Drawing.SystemColors.WindowText
		Me.txtFileLog.HideSelection = True
		Me.txtFileLog.ReadOnly = False
		Me.txtFileLog.Maxlength = 0
		Me.txtFileLog.Cursor = System.Windows.Forms.Cursors.IBeam
		Me.txtFileLog.MultiLine = False
		Me.txtFileLog.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.txtFileLog.ScrollBars = System.Windows.Forms.ScrollBars.None
		Me.txtFileLog.TabStop = True
		Me.txtFileLog.Visible = True
		Me.txtFileLog.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D
		Me.txtFileLog.Name = "txtFileLog"
		Me.chkFileLog.Text = "&Log to File:"
		Me.chkFileLog.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.chkFileLog.Size = New System.Drawing.Size(88, 13)
		Me.chkFileLog.Location = New System.Drawing.Point(8, 370)
		Me.chkFileLog.TabIndex = 55
		Me.chkFileLog.CheckAlign = System.Drawing.ContentAlignment.MiddleLeft
		Me.chkFileLog.BackColor = System.Drawing.SystemColors.Control
		Me.chkFileLog.CausesValidation = True
		Me.chkFileLog.Enabled = True
		Me.chkFileLog.ForeColor = System.Drawing.SystemColors.ControlText
		Me.chkFileLog.Cursor = System.Windows.Forms.Cursors.Default
		Me.chkFileLog.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.chkFileLog.Appearance = System.Windows.Forms.Appearance.Normal
		Me.chkFileLog.TabStop = True
		Me.chkFileLog.CheckState = System.Windows.Forms.CheckState.Unchecked
		Me.chkFileLog.Visible = True
		Me.chkFileLog.Name = "chkFileLog"
		ActivityLog.OcxState = CType(resources.GetObject("ActivityLog.OcxState"), System.Windows.Forms.AxHost.State)
		Me.ActivityLog.Size = New System.Drawing.Size(441, 349)
		Me.ActivityLog.Location = New System.Drawing.Point(8, 16)
		Me.ActivityLog.TabIndex = 54
		Me.ActivityLog.Name = "ActivityLog"
		Me.tmrCellZ.Enabled = False
		Me.tmrCellZ.Interval = 1
		Me.lblPercentQueried.TextAlign = System.Drawing.ContentAlignment.TopRight
		Me.lblPercentQueried.BackColor = System.Drawing.Color.Transparent
		Me.lblPercentQueried.Text = "0 "
		Me.lblPercentQueried.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Bold Or System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.lblPercentQueried.ForeColor = System.Drawing.SystemColors.WindowText
		Me.lblPercentQueried.Size = New System.Drawing.Size(113, 17)
		Me.lblPercentQueried.Location = New System.Drawing.Point(120, 332)
		Me.lblPercentQueried.TabIndex = 45
		Me.lblPercentQueried.Enabled = True
		Me.lblPercentQueried.Cursor = System.Windows.Forms.Cursors.Default
		Me.lblPercentQueried.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.lblPercentQueried.UseMnemonic = True
		Me.lblPercentQueried.Visible = True
		Me.lblPercentQueried.AutoSize = False
		Me.lblPercentQueried.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle
		Me.lblPercentQueried.Name = "lblPercentQueried"
		Me.lblTitlePercentQueried.BackColor = System.Drawing.Color.Transparent
		Me.lblTitlePercentQueried.Text = " Percent Queried"
		Me.lblTitlePercentQueried.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Bold Or System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.lblTitlePercentQueried.ForeColor = System.Drawing.SystemColors.WindowText
		Me.lblTitlePercentQueried.Size = New System.Drawing.Size(113, 17)
		Me.lblTitlePercentQueried.Location = New System.Drawing.Point(8, 332)
		Me.lblTitlePercentQueried.TabIndex = 44
		Me.lblTitlePercentQueried.TextAlign = System.Drawing.ContentAlignment.TopLeft
		Me.lblTitlePercentQueried.Enabled = True
		Me.lblTitlePercentQueried.Cursor = System.Windows.Forms.Cursors.Default
		Me.lblTitlePercentQueried.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.lblTitlePercentQueried.UseMnemonic = True
		Me.lblTitlePercentQueried.Visible = True
		Me.lblTitlePercentQueried.AutoSize = False
		Me.lblTitlePercentQueried.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle
		Me.lblTitlePercentQueried.Name = "lblTitlePercentQueried"
		Me.lblTitleCellsInWorld.BackColor = System.Drawing.Color.Transparent
		Me.lblTitleCellsInWorld.Text = " Cells In World"
		Me.lblTitleCellsInWorld.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Bold Or System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.lblTitleCellsInWorld.ForeColor = System.Drawing.SystemColors.WindowText
		Me.lblTitleCellsInWorld.Size = New System.Drawing.Size(113, 17)
		Me.lblTitleCellsInWorld.Location = New System.Drawing.Point(8, 316)
		Me.lblTitleCellsInWorld.TabIndex = 42
		Me.lblTitleCellsInWorld.TextAlign = System.Drawing.ContentAlignment.TopLeft
		Me.lblTitleCellsInWorld.Enabled = True
		Me.lblTitleCellsInWorld.Cursor = System.Windows.Forms.Cursors.Default
		Me.lblTitleCellsInWorld.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.lblTitleCellsInWorld.UseMnemonic = True
		Me.lblTitleCellsInWorld.Visible = True
		Me.lblTitleCellsInWorld.AutoSize = False
		Me.lblTitleCellsInWorld.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle
		Me.lblTitleCellsInWorld.Name = "lblTitleCellsInWorld"
		Me.lblCellsInWorld.TextAlign = System.Drawing.ContentAlignment.TopRight
		Me.lblCellsInWorld.BackColor = System.Drawing.Color.Transparent
		Me.lblCellsInWorld.Text = "0 "
		Me.lblCellsInWorld.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Bold Or System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.lblCellsInWorld.ForeColor = System.Drawing.SystemColors.WindowText
		Me.lblCellsInWorld.Size = New System.Drawing.Size(113, 17)
		Me.lblCellsInWorld.Location = New System.Drawing.Point(120, 316)
		Me.lblCellsInWorld.TabIndex = 43
		Me.lblCellsInWorld.Enabled = True
		Me.lblCellsInWorld.Cursor = System.Windows.Forms.Cursors.Default
		Me.lblCellsInWorld.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.lblCellsInWorld.UseMnemonic = True
		Me.lblCellsInWorld.Visible = True
		Me.lblCellsInWorld.AutoSize = False
		Me.lblCellsInWorld.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle
		Me.lblCellsInWorld.Name = "lblCellsInWorld"
		Me.lblTitleCellCount.BackColor = System.Drawing.Color.Transparent
		Me.lblTitleCellCount.Text = " Terrain Cells"
		Me.lblTitleCellCount.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Bold Or System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.lblTitleCellCount.ForeColor = System.Drawing.SystemColors.WindowText
		Me.lblTitleCellCount.Size = New System.Drawing.Size(113, 17)
		Me.lblTitleCellCount.Location = New System.Drawing.Point(8, 300)
		Me.lblTitleCellCount.TabIndex = 40
		Me.lblTitleCellCount.TextAlign = System.Drawing.ContentAlignment.TopLeft
		Me.lblTitleCellCount.Enabled = True
		Me.lblTitleCellCount.Cursor = System.Windows.Forms.Cursors.Default
		Me.lblTitleCellCount.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.lblTitleCellCount.UseMnemonic = True
		Me.lblTitleCellCount.Visible = True
		Me.lblTitleCellCount.AutoSize = False
		Me.lblTitleCellCount.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle
		Me.lblTitleCellCount.Name = "lblTitleCellCount"
		Me.lblCellCount.TextAlign = System.Drawing.ContentAlignment.TopRight
		Me.lblCellCount.BackColor = System.Drawing.Color.Transparent
		Me.lblCellCount.Text = "0 "
		Me.lblCellCount.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Bold Or System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.lblCellCount.ForeColor = System.Drawing.SystemColors.WindowText
		Me.lblCellCount.Size = New System.Drawing.Size(113, 17)
		Me.lblCellCount.Location = New System.Drawing.Point(120, 300)
		Me.lblCellCount.TabIndex = 41
		Me.lblCellCount.Enabled = True
		Me.lblCellCount.Cursor = System.Windows.Forms.Cursors.Default
		Me.lblCellCount.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.lblCellCount.UseMnemonic = True
		Me.lblCellCount.Visible = True
		Me.lblCellCount.AutoSize = False
		Me.lblCellCount.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle
		Me.lblCellCount.Name = "lblCellCount"
		Me.Label4.BackColor = System.Drawing.Color.Transparent
		Me.Label4.Text = " Terrain Sessions"
		Me.Label4.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Bold Or System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.Label4.ForeColor = System.Drawing.SystemColors.WindowText
		Me.Label4.Size = New System.Drawing.Size(113, 17)
		Me.Label4.Location = New System.Drawing.Point(8, 380)
		Me.Label4.TabIndex = 50
		Me.Label4.TextAlign = System.Drawing.ContentAlignment.TopLeft
		Me.Label4.Enabled = True
		Me.Label4.Cursor = System.Windows.Forms.Cursors.Default
		Me.Label4.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.Label4.UseMnemonic = True
		Me.Label4.Visible = True
		Me.Label4.AutoSize = False
		Me.Label4.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle
		Me.Label4.Name = "Label4"
		Me.lblTerrainCount.TextAlign = System.Drawing.ContentAlignment.TopRight
		Me.lblTerrainCount.BackColor = System.Drawing.Color.Transparent
		Me.lblTerrainCount.Text = "0 "
		Me.lblTerrainCount.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Bold Or System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.lblTerrainCount.ForeColor = System.Drawing.SystemColors.WindowText
		Me.lblTerrainCount.Size = New System.Drawing.Size(113, 17)
		Me.lblTerrainCount.Location = New System.Drawing.Point(120, 380)
		Me.lblTerrainCount.TabIndex = 51
		Me.lblTerrainCount.Enabled = True
		Me.lblTerrainCount.Cursor = System.Windows.Forms.Cursors.Default
		Me.lblTerrainCount.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.lblTerrainCount.UseMnemonic = True
		Me.lblTerrainCount.Visible = True
		Me.lblTerrainCount.AutoSize = False
		Me.lblTerrainCount.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle
		Me.lblTerrainCount.Name = "lblTerrainCount"
		Me.lblWorld.TextAlign = System.Drawing.ContentAlignment.TopRight
		Me.lblWorld.BackColor = System.Drawing.Color.Transparent
		Me.lblWorld.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Bold Or System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.lblWorld.ForeColor = System.Drawing.SystemColors.WindowText
		Me.lblWorld.Size = New System.Drawing.Size(113, 17)
		Me.lblWorld.Location = New System.Drawing.Point(120, 268)
		Me.lblWorld.TabIndex = 37
		Me.lblWorld.Enabled = True
		Me.lblWorld.Cursor = System.Windows.Forms.Cursors.Default
		Me.lblWorld.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.lblWorld.UseMnemonic = True
		Me.lblWorld.Visible = True
		Me.lblWorld.AutoSize = False
		Me.lblWorld.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle
		Me.lblWorld.Name = "lblWorld"
		Me.Label6.BackColor = System.Drawing.Color.Transparent
		Me.Label6.Text = " World"
		Me.Label6.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Bold Or System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.Label6.ForeColor = System.Drawing.SystemColors.WindowText
		Me.Label6.Size = New System.Drawing.Size(113, 17)
		Me.Label6.Location = New System.Drawing.Point(8, 268)
		Me.Label6.TabIndex = 36
		Me.Label6.TextAlign = System.Drawing.ContentAlignment.TopLeft
		Me.Label6.Enabled = True
		Me.Label6.Cursor = System.Windows.Forms.Cursors.Default
		Me.Label6.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.Label6.UseMnemonic = True
		Me.Label6.Visible = True
		Me.Label6.AutoSize = False
		Me.Label6.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle
		Me.Label6.Name = "Label6"
		Me.Label5.BackColor = System.Drawing.Color.Transparent
		Me.Label5.Text = " Connection State"
		Me.Label5.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Bold Or System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.Label5.ForeColor = System.Drawing.SystemColors.WindowText
		Me.Label5.Size = New System.Drawing.Size(113, 17)
		Me.Label5.Location = New System.Drawing.Point(8, 284)
		Me.Label5.TabIndex = 38
		Me.Label5.TextAlign = System.Drawing.ContentAlignment.TopLeft
		Me.Label5.Enabled = True
		Me.Label5.Cursor = System.Windows.Forms.Cursors.Default
		Me.Label5.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.Label5.UseMnemonic = True
		Me.Label5.Visible = True
		Me.Label5.AutoSize = False
		Me.Label5.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle
		Me.Label5.Name = "Label5"
		Me.lblConnectState.TextAlign = System.Drawing.ContentAlignment.TopRight
		Me.lblConnectState.BackColor = System.Drawing.Color.Transparent
		Me.lblConnectState.Text = "Offline "
		Me.lblConnectState.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Bold Or System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.lblConnectState.ForeColor = System.Drawing.SystemColors.WindowText
		Me.lblConnectState.Size = New System.Drawing.Size(113, 17)
		Me.lblConnectState.Location = New System.Drawing.Point(120, 284)
		Me.lblConnectState.TabIndex = 39
		Me.lblConnectState.Enabled = True
		Me.lblConnectState.Cursor = System.Windows.Forms.Cursors.Default
		Me.lblConnectState.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.lblConnectState.UseMnemonic = True
		Me.lblConnectState.Visible = True
		Me.lblConnectState.AutoSize = False
		Me.lblConnectState.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle
		Me.lblConnectState.Name = "lblConnectState"
		Me.lblAvatarCount.TextAlign = System.Drawing.ContentAlignment.TopRight
		Me.lblAvatarCount.BackColor = System.Drawing.Color.Transparent
		Me.lblAvatarCount.Text = "0 "
		Me.lblAvatarCount.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Bold Or System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.lblAvatarCount.ForeColor = System.Drawing.SystemColors.WindowText
		Me.lblAvatarCount.Size = New System.Drawing.Size(113, 17)
		Me.lblAvatarCount.Location = New System.Drawing.Point(120, 364)
		Me.lblAvatarCount.TabIndex = 49
		Me.lblAvatarCount.Enabled = True
		Me.lblAvatarCount.Cursor = System.Windows.Forms.Cursors.Default
		Me.lblAvatarCount.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.lblAvatarCount.UseMnemonic = True
		Me.lblAvatarCount.Visible = True
		Me.lblAvatarCount.AutoSize = False
		Me.lblAvatarCount.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle
		Me.lblAvatarCount.Name = "lblAvatarCount"
		Me.lblMarkerCount.TextAlign = System.Drawing.ContentAlignment.TopRight
		Me.lblMarkerCount.BackColor = System.Drawing.Color.Transparent
		Me.lblMarkerCount.Text = "0 "
		Me.lblMarkerCount.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Bold Or System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.lblMarkerCount.ForeColor = System.Drawing.SystemColors.WindowText
		Me.lblMarkerCount.Size = New System.Drawing.Size(113, 17)
		Me.lblMarkerCount.Location = New System.Drawing.Point(120, 348)
		Me.lblMarkerCount.TabIndex = 47
		Me.lblMarkerCount.Enabled = True
		Me.lblMarkerCount.Cursor = System.Windows.Forms.Cursors.Default
		Me.lblMarkerCount.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.lblMarkerCount.UseMnemonic = True
		Me.lblMarkerCount.Visible = True
		Me.lblMarkerCount.AutoSize = False
		Me.lblMarkerCount.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle
		Me.lblMarkerCount.Name = "lblMarkerCount"
		Me.Label2.BackColor = System.Drawing.Color.Transparent
		Me.Label2.Text = " Avatars Present"
		Me.Label2.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Bold Or System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.Label2.ForeColor = System.Drawing.SystemColors.WindowText
		Me.Label2.Size = New System.Drawing.Size(113, 17)
		Me.Label2.Location = New System.Drawing.Point(8, 364)
		Me.Label2.TabIndex = 48
		Me.Label2.TextAlign = System.Drawing.ContentAlignment.TopLeft
		Me.Label2.Enabled = True
		Me.Label2.Cursor = System.Windows.Forms.Cursors.Default
		Me.Label2.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.Label2.UseMnemonic = True
		Me.Label2.Visible = True
		Me.Label2.AutoSize = False
		Me.Label2.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle
		Me.Label2.Name = "Label2"
		Me.lblTitleMarkerCount.BackColor = System.Drawing.Color.Transparent
		Me.lblTitleMarkerCount.Text = " Terrain Markers"
		Me.lblTitleMarkerCount.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Bold Or System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.lblTitleMarkerCount.ForeColor = System.Drawing.SystemColors.WindowText
		Me.lblTitleMarkerCount.Size = New System.Drawing.Size(113, 17)
		Me.lblTitleMarkerCount.Location = New System.Drawing.Point(8, 348)
		Me.lblTitleMarkerCount.TabIndex = 46
		Me.lblTitleMarkerCount.TextAlign = System.Drawing.ContentAlignment.TopLeft
		Me.lblTitleMarkerCount.Enabled = True
		Me.lblTitleMarkerCount.Cursor = System.Windows.Forms.Cursors.Default
		Me.lblTitleMarkerCount.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.lblTitleMarkerCount.UseMnemonic = True
		Me.lblTitleMarkerCount.Visible = True
		Me.lblTitleMarkerCount.AutoSize = False
		Me.lblTitleMarkerCount.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle
		Me.lblTitleMarkerCount.Name = "lblTitleMarkerCount"
		Me.lblState.TextAlign = System.Drawing.ContentAlignment.TopCenter
		Me.lblState.Font = New System.Drawing.Font("Tahoma", 8.25!, System.Drawing.FontStyle.Bold Or System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
		Me.lblState.Size = New System.Drawing.Size(224, 17)
		Me.lblState.Location = New System.Drawing.Point(8, 246)
		Me.lblState.TabIndex = 35
		Me.lblState.BackColor = System.Drawing.Color.Transparent
		Me.lblState.Enabled = True
		Me.lblState.ForeColor = System.Drawing.SystemColors.ControlText
		Me.lblState.Cursor = System.Windows.Forms.Cursors.Default
		Me.lblState.RightToLeft = System.Windows.Forms.RightToLeft.No
		Me.lblState.UseMnemonic = True
		Me.lblState.Visible = True
		Me.lblState.AutoSize = False
		Me.lblState.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D
		Me.lblState.Name = "lblState"
		Me.mnuPopup.Text = "Popup"
		Me.mnuPopup.Visible = False
		Me.mnuPopup.Checked = False
		Me.mnuPopup.Enabled = True
		Me.mnuPopup.MDIList = False
		Me.mnuRestore.Text = "&Restore"
		Me.mnuRestore.Checked = False
		Me.mnuRestore.Enabled = True
		Me.mnuRestore.Visible = True
		Me.mnuRestore.MDIList = False
		Me.mnuSepbar1.Text = "-"
		Me.mnuSepbar1.Checked = False
		Me.mnuSepbar1.Enabled = True
		Me.mnuSepbar1.Visible = True
		Me.mnuSepbar1.MDIList = False
		Me.mnuExit.Text = "E&xit"
		Me.mnuExit.Checked = False
		Me.mnuExit.Enabled = True
		Me.mnuExit.Visible = True
		Me.mnuExit.MDIList = False
		Me.Controls.Add(cd)
		Me.Controls.Add(fInWorldOptions)
		Me.Controls.Add(pbClose)
		Me.Controls.Add(fLogin)
		Me.Controls.Add(fLog)
		Me.Controls.Add(lblPercentQueried)
		Me.Controls.Add(lblTitlePercentQueried)
		Me.Controls.Add(lblTitleCellsInWorld)
		Me.Controls.Add(lblCellsInWorld)
		Me.Controls.Add(lblTitleCellCount)
		Me.Controls.Add(lblCellCount)
		Me.Controls.Add(Label4)
		Me.Controls.Add(lblTerrainCount)
		Me.Controls.Add(lblWorld)
		Me.Controls.Add(Label6)
		Me.Controls.Add(Label5)
		Me.Controls.Add(lblConnectState)
		Me.Controls.Add(lblAvatarCount)
		Me.Controls.Add(lblMarkerCount)
		Me.Controls.Add(Label2)
		Me.Controls.Add(lblTitleMarkerCount)
		Me.Controls.Add(lblState)
		Me.fInWorldOptions.Controls.Add(chkAutoLogin)
		Me.fInWorldOptions.Controls.Add(SSTab1)
		Me.fInWorldOptions.Controls.Add(cmdApply)
		Me.SSTab1.Controls.Add(_SSTab1_TabPage0)
		Me.SSTab1.Controls.Add(_SSTab1_TabPage1)
		Me._SSTab1_TabPage0.Controls.Add(lblTerrainMin)
		Me._SSTab1_TabPage0.Controls.Add(lblTerrainMax)
		Me._SSTab1_TabPage0.Controls.Add(lblDisableTime)
		Me._SSTab1_TabPage0.Controls.Add(lblWarnTime)
		Me._SSTab1_TabPage0.Controls.Add(lblDefaultTexture)
		Me._SSTab1_TabPage0.Controls.Add(lblDefaultHeight)
		Me._SSTab1_TabPage0.Controls.Add(chkTouristUse)
		Me._SSTab1_TabPage0.Controls.Add(chkBotUse)
		Me._SSTab1_TabPage0.Controls.Add(txtTerrainMin)
		Me._SSTab1_TabPage0.Controls.Add(txtTerrainMax)
		Me._SSTab1_TabPage0.Controls.Add(txtDisableTime)
		Me._SSTab1_TabPage0.Controls.Add(txtWarnTime)
		Me._SSTab1_TabPage0.Controls.Add(txtDefaultTexture)
		Me._SSTab1_TabPage0.Controls.Add(txtDefaultHeight)
		Me._SSTab1_TabPage1.Controls.Add(chkAlwaysEnableTerrain)
		Me._SSTab1_TabPage1.Controls.Add(txtMaxQueries)
		Me._SSTab1_TabPage1.Controls.Add(txtMaxCommands)
		Me._SSTab1_TabPage1.Controls.Add(lblMaxQueries)
		Me._SSTab1_TabPage1.Controls.Add(lblMaxCommands)
		Me.fLogin.Controls.Add(txtUniHost)
		Me.fLogin.Controls.Add(txtUniPort)
		Me.fLogin.Controls.Add(txtTargetWorld)
		Me.fLogin.Controls.Add(txtPassword)
		Me.fLogin.Controls.Add(txtUserId)
		Me.fLogin.Controls.Add(pbLogin)
		Me.fLogin.Controls.Add(lblUniHost)
		Me.fLogin.Controls.Add(lblUniPort)
		Me.fLogin.Controls.Add(lblTitleTargetWorld)
		Me.fLogin.Controls.Add(lblTitlePassword)
		Me.fLogin.Controls.Add(lblTitleCitNum)
		Me.fLog.Controls.Add(pbFileLog)
		Me.fLog.Controls.Add(txtFileLog)
		Me.fLog.Controls.Add(chkFileLog)
		Me.fLog.Controls.Add(ActivityLog)
		CType(Me.ActivityLog, System.ComponentModel.ISupportInitialize).EndInit()
		CType(Me.cd, System.ComponentModel.ISupportInitialize).EndInit()
		Me.mnuPopup.Index = 0
		MainMenu1.MenuItems.AddRange(New System.Windows.Forms.MenuItem(){Me.mnuPopup})
		Me.mnuRestore.Index = 0
		Me.mnuSepbar1.Index = 1
		Me.mnuExit.Index = 2
		mnuPopup.MenuItems.AddRange(New System.Windows.Forms.MenuItem(){Me.mnuRestore, Me.mnuSepbar1, Me.mnuExit})
		Me.Menu = MainMenu1
	End Sub
#End Region 
#Region "Upgrade Support "
	Private Shared m_vb6FormDefInstance As frmTerrainManager
	Private Shared m_InitializingDefInstance As Boolean
	Public Shared Property DefInstance() As frmTerrainManager
		Get
			If m_vb6FormDefInstance Is Nothing OrElse m_vb6FormDefInstance.IsDisposed Then
				m_InitializingDefInstance = True
				m_vb6FormDefInstance = New frmTerrainManager()
				m_InitializingDefInstance = False
			End If
			DefInstance = m_vb6FormDefInstance
		End Get
		Set
			m_vb6FormDefInstance = Value
		End Set
	End Property
#End Region 
	
	Public WithEvents formAWSDK As AWSDKLib.AwSdk
	
	'***************************************************************************
	'** General Constants                                                     **
	'***************************************************************************
	Private Const PASSWORD_CHAR As String = "*"
	
	'***************************************************************************
	'** Bot Constantst                                                        **
	'***************************************************************************
	Private Const AW_AVATAR_NAME As String = "Demeter"
	Private Const AW_APPLICATION_NAME As String = "Demeter Terrain Manager"
	Private Const AW_UNI_HOST As String = "auth.activeworlds.com" '64.94.241.250
	Private Const AW_UNI_PORT As Integer = 5670
	
	Private Const AW_DEFAULT_WORLD As String = "awteen"
	Private Const AW_DEFAULT_CITNUM As Integer = 319340
	
	
	
	'UPGRADE_WARNING: Event chkAlwaysEnableTerrain.CheckStateChanged may fire when form is intialized. Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup2075"'
	Private Sub chkAlwaysEnableTerrain_CheckStateChanged(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles chkAlwaysEnableTerrain.CheckStateChanged
		
		'Make sure that the warn/disable times are disabled when terrain is always
		'enabled
		Dim TimeEnabled As Boolean
		
		If chkAlwaysEnableTerrain.CheckState = 1 Then
			TimeEnabled = False
			
		Else
			TimeEnabled = True
			
		End If
		
		txtWarnTime.Enabled = TimeEnabled
		txtDisableTime.Enabled = TimeEnabled
		lblWarnTime.Enabled = TimeEnabled
		lblDisableTime.Enabled = TimeEnabled
		
	End Sub
	
	Private Sub cmdApply_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles cmdApply.Click
		On Error GoTo ErrorHandler
		'-------------Error checking - make sure values are possible-------------
		
		If Val(txtDisableTime.Text) < 0 Or Val(txtWarnTime.Text) < 0 Then
			FormWriteToLog(FORM_LOG_ERROR,  ,  , "Disable and Warn times must be positive values.")
			Exit Sub
		End If
		
		If Val(txtMaxQueries.Text) < 0 Or Val(txtMaxCommands.Text) < 0 Then
			FormWriteToLog(FORM_LOG_ERROR,  ,  , "Maximum number of outstanding queries and commands must be positive values.")
			Exit Sub
		End If
		
		If Val(txtWarnTime.Text) > Val(txtDisableTime.Text) Then
			FormWriteToLog(FORM_LOG_ERROR,  ,  , "Warn time must be less than disable time.")
			Exit Sub
		End If
		
		If Val(txtTerrainMin.Text) < 0 Or Val(txtTerrainMax.Text) < 0 Or Val(txtTerrainMin.Text) > 62 Or Val(CStr(CDbl(txtTerrainMax.Text) > 62)) Then
			FormWriteToLog(FORM_LOG_ERROR,  ,  , "Terrain texture minimum and maximum values must be between 0 and 62.")
			Exit Sub
		End If
		
		If Val(txtTerrainMin.Text) > Val(txtTerrainMax.Text) Then
			FormWriteToLog(FORM_LOG_ERROR,  ,  , "Terrain texture minimum must be lower than maximum.")
			Exit Sub
		End If
		
		If Val(txtDefaultTexture.Text) > Val(txtTerrainMax.Text) Or Val(txtDefaultTexture.Text) < Val(txtTerrainMin.Text) Then
			FormWriteToLog(FORM_LOG_ERROR,  ,  , "The default terrain texture must be between the minimum and maximum textures.")
			Exit Sub
		End If
		
		
		SESSION_DISABLE_INTERVAL = CInt(txtDisableTime.Text)
		SESSION_DISABLE_WARN_INTERVAL = CInt(txtWarnTime.Text)
		TERRAIN_DEFAULT_HEIGHT = CDbl(txtDefaultHeight.Text) * 100
		AW_TERRAIN_TEXTURE_MIN = CInt(txtTerrainMin.Text)
		AW_TERRAIN_TEXTURE_MAX = CInt(txtTerrainMax.Text)
		TERRAIN_SHOW_HIDE_BUFFER_MAX = CInt(txtMaxCommands.Text)
		TERRAIN_QUERY_BUFFER_MAX = CInt(txtMaxQueries.Text)
		TERRAIN_TEXTURE_DEFAULT = CInt(txtDefaultTexture.Text)
		
		If chkBotUse.CheckState = 1 Then
			SESSION_DISABLE_BOT_SESSIONS = False
		Else
			SESSION_DISABLE_BOT_SESSIONS = True
		End If
		
		If chkTouristUse.CheckState = 1 Then
			SESSION_DISABLE_TOURIST_SESSIONS = False
		Else
			SESSION_DISABLE_TOURIST_SESSIONS = True
		End If
		
		If chkAlwaysEnableTerrain.CheckState = 1 Then
			TERRAIN_ALWAYS_ENABLED = True
			tmrAuto.Enabled = False
			
		Else
			
			'Disable auto-diable session timer
			TERRAIN_ALWAYS_ENABLED = False
			'UPGRADE_WARNING: Timer property tmrAuto.Interval cannot have a value of 0. Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup2020"'
			tmrAuto.Interval = TERRAIN_AUTO_INTERVAL
			tmrAuto.Enabled = True
			
		End If
		
		'UPGRADE_WARNING: Couldn't resolve default property of object IniPath(). Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup1037"'
		WriteToINI(txtWarnTime.Text, "World", "WarnTime", IniPath())
		'UPGRADE_WARNING: Couldn't resolve default property of object IniPath(). Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup1037"'
		WriteToINI(txtDisableTime.Text, "World", "DisableTime", IniPath())
		'UPGRADE_WARNING: Couldn't resolve default property of object IniPath(). Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup1037"'
		WriteToINI(txtDefaultHeight.Text, "World", "DefaultHeight", IniPath())
		'UPGRADE_WARNING: Couldn't resolve default property of object IniPath(). Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup1037"'
		WriteToINI(txtTerrainMin.Text, "World", "TerrainMin", IniPath())
		'UPGRADE_WARNING: Couldn't resolve default property of object IniPath(). Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup1037"'
		WriteToINI(txtTerrainMax.Text, "World", "TerrainMax", IniPath())
		'UPGRADE_WARNING: Couldn't resolve default property of object IniPath(). Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup1037"'
		WriteToINI(CStr(chkBotUse.CheckState), "World", "BotUse", IniPath())
		'UPGRADE_WARNING: Couldn't resolve default property of object IniPath(). Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup1037"'
		WriteToINI(CStr(chkTouristUse.CheckState), "World", "TouristUse", IniPath())
		'UPGRADE_WARNING: Couldn't resolve default property of object IniPath(). Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup1037"'
		WriteToINI(CStr(chkAutoLogin.CheckState), "World", "AutoLogin", IniPath())
		'UPGRADE_WARNING: Couldn't resolve default property of object IniPath(). Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup1037"'
		WriteToINI(CStr(chkAlwaysEnableTerrain.CheckState), "World", "AlwaysEnableTerrain", IniPath())
		'UPGRADE_WARNING: Couldn't resolve default property of object IniPath(). Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup1037"'
		WriteToINI(txtMaxQueries.Text, "World", "MaxQueries", IniPath())
		'UPGRADE_WARNING: Couldn't resolve default property of object IniPath(). Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup1037"'
		WriteToINI(txtMaxCommands.Text, "World", "MaxCommands", IniPath())
		'UPGRADE_WARNING: Couldn't resolve default property of object IniPath(). Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup1037"'
		WriteToINI(txtDefaultTexture.Text, "World", "DefaultTexture", IniPath())
		
		FormWriteToLog(FORM_LOG_MESSAGE,  ,  , "World Options set")
		
		Exit Sub
		
ErrorHandler: 
		FormWriteToLog(FORM_LOG_ERROR,  ,  , "Enter only numerical values in the World Options text boxes")
	End Sub
	
	
	
	Private Sub frmTerrainManager_Load(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles MyBase.Load
		
		On Error Resume Next
		
		'Load options for the Activity Log Log to File option
		FormGetLogOptions()
		
		'Set up the Activity Log and add first message
		FormListInitialize()
		FormWriteToLog(FORM_LOG_MESSAGE,  ,  , "Application Started")
		
		'center form on screen
		Me.Left = VB6.TwipsToPixelsX((VB6.PixelsToTwipsX(System.Windows.Forms.Screen.PrimaryScreen.Bounds.Width) / 2) - (VB6.PixelsToTwipsX(Me.Width) / 2))
		Me.Top = VB6.TwipsToPixelsY((VB6.PixelsToTwipsY(System.Windows.Forms.Screen.PrimaryScreen.Bounds.Height) / 2) - (VB6.PixelsToTwipsY(Me.Height) / 2))
		
		'Use the default values if there are type mismatches when loading new options
		'They return "[NOT FOUND]" if there's no entry in the ini, when the code
		'is expecting a Long
		
		Dim AutoLogin As Integer
		
		formAWSDK = New AWSDKLib.AwSdk
		mAWSDK = formAWSDK
		
		'*************************************************************************
		'** Initialise environment                                              **
		'*************************************************************************
		txtPassword.PasswordChar = CChar(PASSWORD_CHAR)
		
		'  If Dir(IniPath()) = "" Then
		'    txtTargetWorld = AW_DEFAULT_WORLD
		'    txtUserId = AW_DEFAULT_CITNUM
		'    txtPassword = vbNullString
		'    txtUniHost = AW_UNI_HOST
		'    txtUniPort = AW_UNI_PORT
		'  Else
		'UPGRADE_WARNING: Couldn't resolve default property of object IniPath(). Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup1037"'
		txtTargetWorld.Text = GetFromINI("Login", "World", IniPath(), AW_DEFAULT_WORLD)
		'UPGRADE_WARNING: Couldn't resolve default property of object IniPath(). Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup1037"'
		txtUserId.Text = GetFromINI("Login", "CitizenNumber", IniPath(), CStr(AW_DEFAULT_CITNUM))
		'UPGRADE_WARNING: Couldn't resolve default property of object IniPath(). Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup1037"'
		txtPassword.Text = GetFromINI("Login", "PrivilegePassword", IniPath(), vbNullString)
		'UPGRADE_WARNING: Couldn't resolve default property of object IniPath(). Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup1037"'
		txtUniHost.Text = GetFromINI("Login", "UniHost", IniPath(), AW_UNI_HOST)
		'UPGRADE_WARNING: Couldn't resolve default property of object IniPath(). Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup1037"'
		txtUniPort.Text = GetFromINI("Login", "UniPort", IniPath(), CStr(AW_UNI_PORT))
		
		'UPGRADE_WARNING: Couldn't resolve default property of object IniPath(). Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup1037"'
		txtWarnTime.Text = GetFromINI("World", "WarnTime", IniPath(), "90")
		'UPGRADE_WARNING: Couldn't resolve default property of object IniPath(). Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup1037"'
		txtDisableTime.Text = GetFromINI("World", "DisableTime", IniPath(), "120")
		'UPGRADE_WARNING: Couldn't resolve default property of object IniPath(). Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup1037"'
		txtMaxQueries.Text = GetFromINI("World", "MaxQueries", IniPath(), "5")
		'UPGRADE_WARNING: Couldn't resolve default property of object IniPath(). Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup1037"'
		txtMaxCommands.Text = GetFromINI("World", "MaxCommands", IniPath(), "5")
		'UPGRADE_WARNING: Couldn't resolve default property of object IniPath(). Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup1037"'
		txtDefaultHeight.Text = GetFromINI("World", "DefaultHeight", IniPath(), "-0.1")
		'UPGRADE_WARNING: Couldn't resolve default property of object IniPath(). Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup1037"'
		txtTerrainMin.Text = GetFromINI("World", "TerrainMin", IniPath(), "0")
		'UPGRADE_WARNING: Couldn't resolve default property of object IniPath(). Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup1037"'
		txtTerrainMax.Text = GetFromINI("World", "TerrainMax", IniPath(), "62")
		'UPGRADE_WARNING: Couldn't resolve default property of object IniPath(). Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup1037"'
		txtDefaultTexture.Text = GetFromINI("World", "DefaultTexture", IniPath(), txtTerrainMin.Text)
		'UPGRADE_WARNING: Couldn't resolve default property of object IniPath(). Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup1037"'
		chkBotUse.CheckState = CShort(GetFromINI("World", "BotUse", IniPath(), "1"))
		'UPGRADE_WARNING: Couldn't resolve default property of object IniPath(). Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup1037"'
		chkTouristUse.CheckState = CShort(GetFromINI("World", "TouristUse", IniPath(), "1"))
		'UPGRADE_WARNING: Couldn't resolve default property of object IniPath(). Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup1037"'
		chkAlwaysEnableTerrain.CheckState = CShort(GetFromINI("World", "AlwaysEnableTerrain", IniPath(), "1"))
		
		'UPGRADE_WARNING: Couldn't resolve default property of object IniPath(). Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup1037"'
		AutoLogin = CInt(GetFromINI("World", "AutoLogin", IniPath(), "0"))
		chkAutoLogin.CheckState = AutoLogin
		
		'  End If
		
		mAWSDK.aw_init(AWSDKLib.AW_SDK_CONSTANTS.AW_BUILD)
		
		lblCellCount.Visible = TERRAIN_TRACK_COUNTERS
		lblTitleCellCount.Visible = TERRAIN_TRACK_COUNTERS
		
		lblMarkerCount.Visible = TERRAIN_TRACK_COUNTERS
		lblTitleMarkerCount.Visible = TERRAIN_TRACK_COUNTERS
		
		cmdApply_Click(cmdApply, New System.EventArgs()) 'apply default settings at start for World Options
		
		SessionTableInit()
		
		Show()
		FormSetState(modFormSupport.FORM_STATE_TYPE.FORM_STATE_READY)
		
		'write to INI file to prevent "NOT FOUND" messages
		SaveLoginOptions()
		
		txtUniHost.Focus()
		
		'Determine whether to log in immediately or not
		If AutoLogin = 1 Then
			'minimize form to tray and login
			frmTerrainManager.DefInstance.WindowState = System.Windows.Forms.FormWindowState.Minimized
			
			'Use DoEvents to display the form
			System.Windows.Forms.Application.DoEvents()
			pbLogin_Click(pbLogin, New System.EventArgs())
			
		End If
		
	End Sub
	
	Private Sub frmTerrainManager_MouseMove(ByVal eventSender As System.Object, ByVal eventArgs As System.Windows.Forms.MouseEventArgs) Handles MyBase.MouseMove
		Dim Button As Short = eventArgs.Button \ &H100000
		Dim Shift As Short = System.Windows.Forms.Control.ModifierKeys \ &H10000
		Dim X As Single = VB6.PixelsToTwipsX(eventArgs.X)
		Dim Y As Single = VB6.PixelsToTwipsY(eventArgs.Y)
		
		FormMouseMove(Button, Shift, X, Y)
		
	End Sub
	
	'UPGRADE_WARNING: Event frmTerrainManager.Resize may fire when form is intialized. Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup2075"'
	Private Sub frmTerrainManager_Resize(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles MyBase.Resize
		
		'If minimized, then add to tray
		If WindowState = System.Windows.Forms.FormWindowState.Minimized Then
			Visible = False
			FormAddToSystemTray()
			'This call updates the tool tip of the tray icon
			FormUpdateIconToolTip()
		End If
		
	End Sub
	
	'UPGRADE_WARNING: Form event frmTerrainManager.Unload has a new behavior. Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup2065"'
	Private Sub frmTerrainManager_Closed(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles MyBase.Closed
		
		Dim closeForm As Boolean
		
		'Don't display message box to disable terrain features if bot is disconnected,
		'terminated, or not logged in
		If modFormSupport.FORM_CURRENT_STATE = modFormSupport.FORM_STATE_TYPE.FORM_STATE_READY Or modFormSupport.FORM_CURRENT_STATE = modFormSupport.FORM_STATE_TYPE.FORM_STATE_DISCONNECTED Or modFormSupport.FORM_CURRENT_STATE = modFormSupport.FORM_STATE_TYPE.FORM_STATE_TERMINATED Then
			
			closeForm = True
			
			
		Else
			closeForm = (MsgBox("Closing Demeter will disable all terrain features in " & txtTargetWorld.Text & "." & vbCrLf & vbCrLf & "Are you sure?", MsgBoxStyle.YesNo + MsgBoxStyle.Exclamation, "Close Demeter") = MsgBoxResult.Yes)
			
		End If
		
		If Not closeForm Then
			'UPGRADE_ISSUE: Event parameter Cancel was not upgraded. Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup1057"'
			Cancel = True
			
		Else
			TerrainCacheTerm()
			tmrAW.Enabled = False
			
			formAWSDK.aw_term()
			'UPGRADE_NOTE: Object mAWSDK may not be destroyed until it is garbage collected. Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup1029"'
			mAWSDK = Nothing
			'UPGRADE_NOTE: Object formAWSDK may not be destroyed until it is garbage collected. Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup1029"'
			formAWSDK = Nothing
			
			FormWriteToLog(FORM_LOG_MESSAGE,  ,  , "Application Terminated")
			
			'Save activity logging options to file
			FormSaveLogOptions()
			
			If Not Visible Then FormDeleteFromSystemTray()
			
			End
			
		End If
		
	End Sub
	
	Private Sub formAWSDK_CallbackCellResult(ByVal rc As Integer) Handles formAWSDK.CallbackCellResult
		
		TerrainCallbackCellResult(rc)
		
	End Sub
	
	Private Sub formAWSDK_CallbackObjectResult(ByVal rc As Integer) Handles formAWSDK.CallbackObjectResult
		
		TerrainCallbackObjectResult(rc)
		
	End Sub
	
	Private Sub formAWSDK_CallbackTerrainSetResult(ByVal rc As Integer) Handles formAWSDK.CallbackTerrainSetResult
		
		TerrainCallbackTerrainSetResult(rc)
		
	End Sub
	
	Private Sub formAWSDK_EventAvatarAdd() Handles formAWSDK.EventAvatarAdd
		
		SessionEventAvatarAdd()
		
	End Sub
	
	Private Sub formAWSDK_EventAvatarChange() Handles formAWSDK.EventAvatarChange
		
		SessionEventAvatarChange()
		
	End Sub
	
	Private Sub formAWSDK_EventAvatarDelete() Handles formAWSDK.EventAvatarDelete
		
		SessionEventAvatarDelete()
		
	End Sub
	
	Private Sub formAWSDK_EventCellBegin() Handles formAWSDK.EventCellBegin
		
		TerrainEventCellBegin()
		
	End Sub
	
	Private Sub formAWSDK_EventCellEnd() Handles formAWSDK.EventCellEnd
		
		TerrainEventCellEnd()
		
	End Sub
	
	Private Sub formAWSDK_EventCellObject() Handles formAWSDK.EventCellObject
		
		TerrainEventCellObject()
		
	End Sub
	
	Private Sub formAWSDK_EventChat() Handles formAWSDK.EventChat
		
		TerrainEventChat()
		
	End Sub
	
	Private Sub formAWSDK_EventObjectAdd() Handles formAWSDK.EventObjectAdd
		
		TerrainEventObjectAdd()
		
	End Sub
	
	Private Sub formAWSDK_EventObjectDelete() Handles formAWSDK.EventObjectDelete
		
		TerrainEventObjectDelete()
		
	End Sub
	
	Private Sub formAWSDK_EventObjectSelect() Handles formAWSDK.EventObjectSelect
		
		TerrainEventObjectSelect()
		
	End Sub
	
	Private Sub formAWSDK_EventWorldAttributes() Handles formAWSDK.EventWorldAttributes
		
		TerrainEventWorldAttributes()
		
	End Sub
	
	Private Sub formAWSDK_EventWorldDisconnect() Handles formAWSDK.EventWorldDisconnect
		
		TerrainEventWorldDisconnect()
		
	End Sub
	
	Private Sub Label1_Click()
		
	End Sub
	
	Private Sub Label3_Click()
		
	End Sub
	
	Public Sub mnuExit_Popup(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles mnuExit.Popup
		mnuExit_Click(eventSender, eventArgs)
	End Sub
	Public Sub mnuExit_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles mnuExit.Click
		Me.Close()
	End Sub
	
	Public Sub mnuRestore_Popup(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles mnuRestore.Popup
		mnuRestore_Click(eventSender, eventArgs)
	End Sub
	Public Sub mnuRestore_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles mnuRestore.Click
		
		'If form is visible, need to check because popup menu can come up
		'when user right-clicks on the form itself
		If Not Visible Then
			FormDeleteFromSystemTray()
			frmTerrainManager.DefInstance.WindowState = System.Windows.Forms.FormWindowState.Normal
			frmTerrainManager.DefInstance.Visible = True
			Activate()
		End If
		
	End Sub
	
	
	
	Private Sub pbClear_Click()
		
		If (MsgBox("THIS WILL CLEAR THE WORLD OF ALL TERRAIN!!!" & vbCrLf & vbCrLf & "ARE YOU SURE??", MsgBoxStyle.YesNo + MsgBoxStyle.DefaultButton2, "DON'T DO IT!!") = MsgBoxResult.Yes) Then
			If (MsgBox("HONESTLY! IT DOES BAD THINGS!!" & vbCrLf & vbCrLf & "ARE YOU SURE??", MsgBoxStyle.YesNo + MsgBoxStyle.DefaultButton2, "DON'T DO IT!!") = MsgBoxResult.Yes) Then
				If (MsgBox("LAST CHANCE ... WANNA STOP NOW???", MsgBoxStyle.YesNo + MsgBoxStyle.DefaultButton1, "DON'T DO IT!!") = MsgBoxResult.No) Then
					mAWSDK.aw_terrain_delete_all()
					'mAWSDK.aw_delete_all_objects
					TerrainCacheInitStore()
					
				End If
			End If
		End If
		
	End Sub
	
	Private Sub pbClose_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles pbClose.Click
		
		Me.Close()
		
	End Sub
	
	Private Sub pbFileLog_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles pbFileLog.Click
		
		cd.DialogTitle = "Select Log File"
		cd.Filter = "Text Files (*.txt)|*.txt"
		cd.DefaultExt = ".txt"
		cd.ShowSave()
		
		txtFileLog.Text = cd.FileName
		
	End Sub
	
	Private Sub pbLogin_Click(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles pbLogin.Click
		
		On Error GoTo ErrorHandler
		
		Dim awRC As Integer
		
		'*************************************************************************
		'** Create a new bot instance                                           **
		'*************************************************************************
		
		'Make universe host and port the default values if empty
		If txtUniHost.Text = vbNullString Then
			txtUniHost.Text = AW_UNI_HOST
		End If
		
		If txtUniPort.Text = vbNullString Then
			txtUniPort.Text = CStr(AW_UNI_PORT)
		End If
		
		FormSetState(modFormSupport.FORM_STATE_TYPE.FORM_STATE_LOGGING_IN, "Creating Instance")
		awRC = mAWSDK.aw_create(txtUniHost.Text, CInt(txtUniPort.Text))
		
		If Not (awRC = AW_RC_OK) Then
			ErrorCode(awRC)
			FormLogoutWithErrorAndRecover("Unable to contact universe " & AW_UNI_HOST & ":" & AW_UNI_PORT & " (Reason = " & ErrReturn & ")")
			Exit Sub
			
		Else
			
			'***********************************************************************
			'** Log into Universe                                                 **
			'***********************************************************************
			FormSetState(modFormSupport.FORM_STATE_TYPE.FORM_STATE_LOGGING_IN, "Logging In")
			mAWSDK.aw_int_set(AWSDKLib.__MIDL___MIDL_itf_AwSdk_0000_0001.AW_LOGIN_OWNER, CInt(txtUserId.Text))
			mAWSDK.aw_string_set(AWSDKLib.__MIDL___MIDL_itf_AwSdk_0000_0001.AW_LOGIN_PRIVILEGE_PASSWORD, txtPassword.Text)
			mAWSDK.aw_string_set(AWSDKLib.__MIDL___MIDL_itf_AwSdk_0000_0001.AW_LOGIN_NAME, AW_AVATAR_NAME)
			mAWSDK.aw_string_set(AWSDKLib.__MIDL___MIDL_itf_AwSdk_0000_0001.AW_LOGIN_APPLICATION, AW_APPLICATION_NAME)
			awRC = mAWSDK.aw_login()
			
			If Not (awRC = AW_RC_OK) Then
				ErrorCode(awRC)
				FormLogoutWithErrorAndRecover("Unable to log in (Reason: " & ErrReturn & ")")
				Exit Sub
				
			Else
				'*********************************************************************
				'** Enter the target world                                          **
				'*********************************************************************
				'UPGRADE_WARNING: Timer property tmrAW.Interval cannot have a value of 0. Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup2020"'
				tmrAW.Interval = TERRAIN_AWWAIT_INTERVAL
				tmrAW.Enabled = True
				
				TerrainEventSet() 'Sets up events for the bot before it enters
				'the world
				
				mAWSDK.aw_bool_set(AWSDKLib.__MIDL___MIDL_itf_AwSdk_0000_0001.AW_ENTER_GLOBAL, True)
				awRC = mAWSDK.aw_enter(txtTargetWorld.Text)
				
				'Set the size of the world for sizing the terrain cache
				modTerrainCache.TERRAIN_WORLD_COORD_SIZE = mAWSDK.aw_int(AWSDKLib.__MIDL___MIDL_itf_AwSdk_0000_0001.AW_WORLD_SIZE)
				
				TerrainCacheInitialize()
				'initialize the terrain cache
				
				TerrainWorldAttributesGetMarkers()
				'Get the number of markers for the current world
				
				'check for Caretaker capability and exit sub if not there
				'handled directly in world attributes, but need to get out of
				'this routine to prevent reactivation of controls if there's an error
				If mAWSDK.aw_bool(AWSDKLib.__MIDL___MIDL_itf_AwSdk_0000_0001.AW_WORLD_CARETAKER_CAPABILITY) <> 1 Then Exit Sub
				
				If Not (awRC = AW_RC_OK) Then
					ErrorCode(awRC)
					FormLogoutWithErrorAndRecover("Unable to enter " & txtTargetWorld.Text & " (Reason = " & ErrReturn & ")")
					Exit Sub
					
				Else
					'*******************************************************************
					'** Set the states of the bot and the terrain cache               **
					'*******************************************************************
					'TerrainCacheInit False moved up top to resolve bug where Demeter
					'deleted objects immediately upon add becuase it couldn't track terrain
					'session
					
					FormSetState(modFormSupport.FORM_STATE_TYPE.FORM_STATE_ACTIVE)
					
					'UPGRADE_WARNING: Timer property tmrQueue.Interval cannot have a value of 0. Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup2020"'
					tmrQueue.Interval = TERRAIN_QUEUE_INTERVAL
					tmrQueue.Enabled = True
					
					'No need to enable this timer if terrain is always enabled
					If Not TERRAIN_ALWAYS_ENABLED Then
						'UPGRADE_WARNING: Timer property tmrAuto.Interval cannot have a value of 0. Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup2020"'
						tmrAuto.Interval = TERRAIN_AUTO_INTERVAL
						tmrAuto.Enabled = True
						
					End If
					
				End If
			End If
		End If
		
		'Save stuff to INI before exiting function
		
		SaveLoginOptions()
		
		'Update the label with the number of cells in the world
		FormSetCellsInWorld()
		
		'Enable the workaround timer for the CellZ problem
		'UPGRADE_WARNING: Timer property tmrCellZ.Interval cannot have a value of 0. Click for more: 'ms-help://MS.VSCC/commoner/redir/redirect.htm?keyword="vbup2020"'
		tmrCellZ.Interval = TERRAIN_CELLZ_TIMER_INTERVAL
		tmrCellZ.Enabled = True
		
		Exit Sub
		
ErrorHandler: 
		If Err.Number = 13 Then FormWriteToLog(FORM_LOG_ERROR,  ,  , "Use only numerical values for the world size.") : Exit Sub
		MsgBox("An unknown error has occurred: " & Err.Description & Chr(13) & "Please report this bug to awteen@shoemakervillage.org ASAP!", MsgBoxStyle.Critical, "Error")
		FormDisableAutoLogin()
		
	End Sub
	
	
	Private Sub tmrAuto_Tick(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles tmrAuto.Tick
		
		SessionTableAutoDisable()
		
	End Sub
	
	Private Sub tmrAW_Tick(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles tmrAW.Tick
		
		FormUpdateIconToolTip()
		mAWSDK.aw_wait(0)
		
	End Sub
	
	Private Sub tmrCellZ_Tick(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles tmrCellZ.Tick
		
		TerrainCellZCheck()
		
	End Sub
	
	Private Sub tmrQueue_Tick(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles tmrQueue.Tick
		
		TerrainQueryQueueProcess()
		TerrainShowHideQueueProcess()
		
	End Sub
End Class