VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "AWObjects"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Attribute VB_Ext_KEY = "SavedWithClassBuilder6" ,"Yes"
Attribute VB_Ext_KEY = "Collection" ,"Object"
Attribute VB_Ext_KEY = "Top_Level" ,"No"
'local variable to hold collection
Private mCol As Collection

Public Function Add(ByRef aw1 As AwSdkOcx5, Optional Index As Integer = 0) As Object
On Error GoTo ErrorHandler
    Dim objNewMember As AWObject
    Set objNewMember = New AWObject
    
    'set the properties passed into the method
    objNewMember.X = aw1.AwObjectX
    objNewMember.Y = aw1.AwObjectY
    objNewMember.Z = aw1.AwObjectZ
    objNewMember.Number = aw1.AwObjectNumber
    objNewMember.Description = aw1.AwObjectDescription
    objNewMember.Action = aw1.AwObjectAction
    objNewMember.Model = aw1.AwObjectModel
    objNewMember.WorldIndex = Index
    objNewMember.Timestamp = aw1.AwObjectBuildTimestamp
    objNewMember.Owner = aw1.AwObjectOwner
    objNewMember.Yaw = aw1.AwObjectYaw
    mCol.Add objNewMember, Str$(objNewMember.Number)
    'return the object created with the
    'object number as the key
    
    Set Add = objNewMember
    Set objNewMember = Nothing
   ' Set aw1 = Nothing
Exit Function
ErrorHandler:
'execution gets here when a duplicate object number occurs
Set objNewMember = Nothing 'reclaim memory and exit
End Function
Public Function SearchForName(Text As String)
Dim Space As Integer, Beginning As Integer
For Each obj In mCol
    Beginning = InStr(1, LCase$(obj.Action), " name ", vbTextCompare)
    If Beginning <> -1 Then
        Beginning = Beginning + 6 'push beginning past "name"
        Space = InStr(Beginning, obj.Action, " ", vbTextCompare)
        If Mid$(LCase$(obj.Action), Beginning, Space - Beginning) = Text Then
            SearchForName = obj.Number
            Exit Function
        End If
    End If
Next
SearchForName = 0
End Function


Public Function AddByObject(ByRef aw1 As AWObject)
mCol.Add aw1
Set AddByObject = aw1
Set aw1 = Nothing
End Function

Public Property Get Item(vntIndexKey As Variant) As Object
Attribute Item.VB_UserMemId = 0
    'used when referencing an element in the collection
    'vntIndexKey contains either the Index or Key to the collection,
    'this is why it is declared as a Variant
    'Syntax: Set foo = x.Item(xyz) or Set foo = x.Item(5)
  Set Item = mCol(vntIndexKey)
End Property



Public Property Get Count() As Long
    'used when retrieving the number of elements in the
    'collection. Syntax: Debug.Print x.Count
    Count = mCol.Count
End Property


Public Sub Remove(vntIndexKey As Variant)
    'used when removing an element from the collection
    'vntIndexKey contains either the Index or Key, which is why
    'it is declared as a Variant
    'Syntax: x.Remove(xyz)


    mCol.Remove vntIndexKey
End Sub


Public Property Get NewEnum() As IUnknown
Attribute NewEnum.VB_UserMemId = -4
Attribute NewEnum.VB_MemberFlags = "40"
    'this property allows you to enumerate
    'this collection with the For...Each syntax
    Set NewEnum = mCol.[_NewEnum]
End Property


Private Sub Class_Initialize()
    'creates the collection when this class is created
    Set mCol = New Collection
End Sub


Private Sub Class_Terminate()
    'destroys collection when this class is terminated
    Set mCol = Nothing
End Sub

