VERSION 5.00
Object = "{BB2DBAC2-B5DA-11D2-9182-00A024E62009}#1.15#0"; "AWSDKOCX.OCX"
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   5580
   ClientLeft      =   1650
   ClientTop       =   1575
   ClientWidth     =   6585
   LinkTopic       =   "Form1"
   ScaleHeight     =   5580
   ScaleWidth      =   6585
   Begin AWSDKOCXLib.AwSdkOcx sdk 
      Left            =   2520
      Top             =   2400
      _Version        =   65551
      _ExtentX        =   2672
      _ExtentY        =   1402
      _StockProps     =   0
   End
   Begin VB.Timer timawwait 
      Left            =   2700
      Top             =   2580
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'---------------------------------------
' AwQuery Example
'---------------------------------------

' Login Variables
Private Const CitizenNumber = 314902
Private Const Password = "fartystinky"
Private Const BotName = "TestBot"
Private Const Application = "QueryBotApp"
Private Const World = "awteen"

' Sequence array for query
Private Sequence(0 To 2, 0 To 2) As Long

' Sector to query
Private sect_x As Long
Private sect_z As Long

Private Sub Form_Load()
    ' Initialize the SDK
    sdk.AwInit AW_BUILD
    
    ' Create Instance, Login to the Universe and Enter a world
    sdk.QuickStart CitizenNumber, Password, BotName, Application, World, 0, 0, 0, 0, 0
    
    ' Call AwWait(0) every 1000ms
    timawwait.Interval = 1000
    timawwait.Enabled = True
    
    ' Set the sector to query
    sect_z = sdk.AwSectorFromCell(10) ' 10N
    sect_x = sdk.AwSectorFromCell(7) ' 7E
    
    ' Perform the query
    sdk.AwQuery sect_x, sect_z, _
        Sequence(0, 0), Sequence(0, 1), Sequence(0, 2), _
        Sequence(1, 0), Sequence(1, 1), Sequence(1, 2), _
        Sequence(2, 0), Sequence(2, 1), Sequence(2, 2)
End Sub

Private Sub Form_Unload(Cancel As Integer)
    ' Stop the timer and SDK
    timawwait.Enabled = False
    sdk.QuickStop
    sdk.AwTerm
End Sub

Private Sub sdk_CallbackQuery(ByVal rc As Long)
    ' Continue the query until it is complete
    If Not sdk.AwQueryComplete Then
        sdk.AwQuery sect_x, sect_z, _
        Sequence(0, 0), Sequence(0, 1), Sequence(0, 2), _
        Sequence(1, 0), Sequence(1, 1), Sequence(1, 2), _
        Sequence(2, 0), Sequence(2, 1), Sequence(2, 2)
    End If
End Sub

Private Sub sdk_EventCellBegin()
    Dim X As Long, Z As Long, cell_x As logn, cell_z As Long

    ' Get the current cell
    cell_x = sdk.AwCellX
    cell_z = sdk.AwCellZ

    ' Calculate the sector the cell is in
    X = sdk.AwSectorFromCell(cell_x) - sect_x
    Z = sdk.AwSectorFromCell(cell_z) - sect_z
    
    ' Sanity Check, X and Z may be either -1, 0, or 1
    If (X < -1 Or X > 1 Or Z < -1 Or Z > 1) Then
        Exit Sub
    End If
    
    ' Update the Sequence variable for the current sector
    Sequence(Z + 1, X + 1) = sdk.AwCellSquence
End Sub

Private Sub sdk_EventCellObject()
    ' Handle Objects
End Sub

Private Sub sdk_EventObjectAdd()
    ' Handle new objects while
    ' in live update mode
End Sub

Private Sub sdk_EventObjectDelete()
    ' Handle deleted objects while
    ' in live update mode
End Sub

Private Sub timAwWait_Timer()
    sdk.AwWait 0
End Sub







